<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\estudantes;
use App\Models\anoLectivo;
use App\Models\cadernetas;
use App\Models\classes;
use App\Models\disciplinas;
use App\Models\funcoes;
use App\Models\mapas;
use App\Models\matriculas;
use App\Models\notas;
use App\Models\pagamentoPropinas;
use App\Models\pautas;
use App\Models\professores;
use App\Models\publicacoes;
use App\Models\termos;
use App\Models\turmas;
use App\Models\User;
use Illuminate\Support\Facades\DB;
use File;
use Illuminate\Support\Facades\Auth;

class apiActualizarController extends Controller
{
    //

    public function actualizarAnoLectivo(Request $request, $id)
    {
    	$anoLectivo = anoLectivo::find($id);
        $anoLectivo->nome = $request->txtNome;
        
 
        $anoLectivo->save();
        return redirect('/registar_anoLectivo');
    }

      public function actualizarCaderneta(Request $request, $id)
    {
    	$caderneta = cadernetas::findOrFail($id);
    	$caderneta->update($request->all());
    }

      public function actualizarClasse(Request $request, $id)
    {
    	$classe = classes::find($id);
        $classe->nome = $request->txtNome;
         
         
 
        $classe->save();
        return redirect('/classes');
    }

      public function actualizarDisciplina(Request $request, $id)
    {
    	$disciplina = disciplinas::find($id);
         $disciplina->nome = $request->txtNome;
        $disciplina->classe_id = $request->txtClasse;
        $disciplina->professor_id = $request->txtProfessor;
         
 
        $disciplina->save();
        return redirect('/disciplinas');
    }

      public function actualizarEstudante(Request $request, $id)
    {
    	 $estudante = estudantes::find($id);
 
        $estudante->nome = $request->nome;
        $estudante->dataNascimento = $request->tData;
        $estudante->provinciaNascimento = $request->txtProvincia;
        $estudante->municipioNascimento = $request->txtMunicipio;
        $estudante->naturalidade = $request->txtNaturalidade;
        $estudante->numeroBilhete = $request->numeroBI;
        $estudante->nomePai = $request->nomePai;
        $estudante->nomeMae = $request->nomeMae;
        $estudante->sexo = $request->sexo;;
        $estudante->morada = $request->cidadeMora;
        $estudante->bairro = $request->bairro;
        $estudante->nomeEncarregado = $request->nomeEncarregado;
        $estudante->relacaoComEncarregado = $request->relacao;
        $estudante->numeroEncarregado = $request->numeroTelefone;
        // $estudante->criadoPor = $usuario->name;
        // $estudante->editadoPor = $usuario->name;
        $estudante->foto = "";


        // Verificando se a foto é válida
        if ($request->foto) {
            $foto = $request->foto;
            $extensaoI =  $foto->getClientOriginalExtension();
            if ($extensaoI!= 'jpg' && $extensaoI!= 'png') {
                return back()->with('erro', 'Erro: foto inválida');
            }


        }
 
         $estudante->save();
        // Guardar a imagem na base de dados

         if ($request->foto) {
            File::move($foto, public_path().'/imagens/alunos/imag_'.$estudante->id.'.'.$extensaoI);
            $estudante->foto = '/imagens/alunos/imag_'.$estudante->id.'.'.$extensaoI;
            $estudante->save();
        }




        $estudante->save();
        // redirecionar para a página inicial

        return redirect('/estudantes');
    }

      public function actualizarFuncao(Request $request, $id)
    {
    	$funcao = funcoes::find($id);
        $funcao->nome = $request->txtNome;
         
        $funcao->save();

        return redirect('/funcoes');
    }

      public function actualizarMapa(Request $request, $id)
    {
    	$mapa = mapas::findOrFail($id);
    	$mapa->update($request->all());
    }

      public function actualizarMatricula(Request $request, $id)
    {
    	$matricula = matriculas::find($id);

        $matricula->classe_id = $request->tClasse;
        $matricula->turma_id = $request->txtTurma;
         
        $matricula->anoLectivo = $request->tAnoLectivo;
        $matricula->turno = $request->tTurno;
        $matricula->numeroEstudante = $request->tNumeroSGA;
        
        $matricula->save();

        

        return redirect('/matriculas');
    }

      public function actualizarNota(Request $request, $id)
    {
    	$nota = notas::find($id);
        $nota->estudante_id = $request->txtNumeroEstudante;
        $nota->disciplina_id = $request->txtCodDisciplina;
        $disciplina = disciplinas::where('id','=', $nota->disciplina_id)->first();
        $nota->descricao = $request->txtDescricao;
        $nota->trimestre = $request->txtTrimestre;
        $nota->disciplinas = $disciplina->nome;

        $classe_id = estudantes::find($nota->estudante_id);

        $matriculaAluno = estudantes::find($request->txtNumeroEstudante)->matricula()->first();
        $nota->classe_id = $classe_id->classeActual;
        // $nota->dataExpiracaoBilhete = $request->tDataExpirassao;
        $nota->valor = $request->txtValor;
         
     

         $nota->save();

         return redirect('/notas');
        
    }

      public function actualizarPagamento(Request $request, $id)
    {
    	$pagamento = pagamentoPropinas::findOrFail($id);
    	$pagamento->update($request->all());
    }

      public function actualizarPauta(Request $request, $id)
    {
    	$pauta = pautas::find($id);
        $pauta->titulo = $request->txtTitulo;
        $pauta->classe_id = $request->txtClasse;
        $pauta->anoLectivo_id = $request->txtAno;
        $pauta->turma_id = $request->txtTurma;
      
        $pauta->save();

        return redirect('/pautas');
    }

      public function actualizarProfessor(Request $request, $id)
    {
    	$professor = professores::find($id); 
         $professor->nome = $request->txtNome;
        $professor->foto = $request->tFotoProfessor;
        $professor->numeroAgente = $request->tAgente;
        $professor->dataNascimento = $request->tDataNascimento;
        $professor->localNascimento = $request->tLocalNascimentoProfessor;
        $professor->numeroBilhete = $request->tNumeroBI;
        $professor->estadoCivil = $request->tEstadoCivil;
        $professor->sexo = 'Masc';
        $professor->morada = $request->tCidadeMoraprofessor;
        // $professor->nivelAcademico = $request->tNivelAcademico;
        $professor->bairro = $request->tBairroProfessor;
        // $professor->funcao_id = $request->txtFuncaoId;
        $professor->foto = "";


        // Verificando se a foto é válida
        if ($request->foto) {
            $foto = $request->foto;
            $extensaoI =  $foto->getClientOriginalExtension();
            if ($extensaoI!= 'jpg' && $extensaoI!= 'png') {
                return back()->with('erro', 'Erro: foto inválida');
            }


        }
 
         
        // Guardar a imagem na base de dados

         if ($request->foto) {
            File::move($foto, public_path().'/imagens/professores/imag_'.$professor->id.'.'.$extensaoI);
            $professor->foto = '/imagens/professores/imag_'.$professor->id.'.'.$extensaoI;
            $professor->save();
        }


        $professor->save();
        return redirect('/professores');
    }

      public function actualizarPublicacao(Request $request, $id)
    {
    	$publicacao = publicacoes::find($id);
        $publicacao->titulo = $request->titulo;
        $publicacao->conteudo = $request->conteudo;
       



        // visibilidade da notícia
        if (isset($request->visivel)) {
            $publicacao->visivel = 1;
        }
        else{
            $publicacao->visivel = 0;
        }


        // destaque da notícia
        if (isset($request->destaque)) {
            $publicacao->destaque = 1;
        }
        else{
            $publicacao->destaque = 0;
        }


        // salvar na bd
        $publicacao->save();

        // redirecionar para a página inicial

        return redirect('/publicacoes');
    }

      public function actualizarTermo(Request $request, $id)
    {
    	$termo = termos::find($id);
        $termo->estudante_id = $request->txtIdAluno;
        $termo->classe_id = $request->txtIdClasse;
        $termo->dados = $request->txtDados;
        


        $termo->save();
        return redirect('/termos');
    }

      public function actualizarTurma(Request $request, $id)
    {
    	$turma = turmas::find($id);
        $turma->nome = $request->txtNome;
        $turma->classe_id = $request->txtClasse;
      
        $turma->save();

        return redirect('/turmas');
    }

     
    public function destroy($id)
    {
        //
        turmas::destroy($id);
        return redirect('/turmas');
    }

      public function actualizarUsuario(Request $request, $id)
    {
    	$usuario = User::findOrFail($id);
    	$usuario->update($request->all());
    }

  
}
