<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DB;
use Excel;
use App\Imports\turmasImport;
use App\Imports\estudantesImport; 
use App\Imports\classesImport; 
use App\Imports\professoresImport; 

class apiExcelController extends Controller
{
    //
    function index()
    {
    	$data = DB::table('turmas')->orderBy('id','desc')->get();

    	return view('import_excel', compact('data'));
    }

    function import2(Request $request)
    {
    	$this->validate($request, [
    		'select_file' => 'required|mimes:xls,xlsx'
    	]);

    	

    	$path = $request->file('select_file')->getRealPath();

    	$data = Excel::load($path)->get();

    	if ($data -> count() > 0) 
    	{
    		foreach ($data->toArray() as $key => $value) 
    		{
    			foreach ($value as $row) 
    			{
    				$insert_data[] = array(
    					'nome' 		=> $row['nome'], 
    					'classe_id' 		=> $row['classe_id'] 
    				);
    			}
    		}

    		if (!empty($insert_data))
    		{
    			DB::table('turmas')->insert($insert_data);
    		}
    	}

    	return back()->with('success', 'Excel importado com sucesso');
    }

    public function importForm()
    {
        return view('import_excel');
    }

    public function importFormEstudantes()
    {
        return view('conteudos.imports.import_excel_estudantes');
    }

    function import(Request $request)
    {
        Excel::import(new turmasImport, $request->select_file);

        return back()->with('success', 'Dados do Excel importado com sucesso');
 
    }

     function importEstudantes(Request $request)
    {
        Excel::import(new estudantesImport, $request->select_file);

        return back()->with('success', 'Dados do Excel importado com sucesso');
 
    }

     public function importFormClasses()
    {
        return view('conteudos.imports.import_excel_classes');
    }

    function importClasses(Request $request)
    {
        Excel::import(new classesImport, $request->select_file);

        return back()->with('success', 'Dados do Excel importado com sucesso');
 
    }


      public function importFormProfessores()
    {
        return view('conteudos.imports.import_excel_professores');
    }

    function importProfessores(Request $request)
    {
        Excel::import(new professoresImport, $request->select_file);

        return back()->with('success', 'Dados do Excel importado com sucesso');
    }

    public function importFormMatriculas()
    {
        return view('conteudos.imports.import_excel_matriculas');
    }

    function importMatriculas(Request $request)
    {
        Excel::import(new matriculasImport, $request->select_file);

        return back()->with('success', 'Dados do Excel importado com sucesso');
    }

}
