<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\estudantes;
use App\Models\anoLectivo;
use App\Models\cadernetas;
use App\Models\classes;
use App\Models\disciplinas;
use App\Models\funcoes;
use App\Models\mapas;
use App\Models\matriculas;
use App\Models\notas;
use App\Models\pagamentoPropinas;
use App\Models\pautas;
use App\Models\professores;
use App\Models\publicacoes;
use App\Models\termos;
use App\Models\turmas;
use App\Models\User;
use Illuminate\Support\Facades\DB;
use File;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Auth;

class apiRegistarController extends Controller
{
    //

    public function registarEstudantes(Request $request)
    {
    	$estudante = new estudantes();
        $estudante->nome = $request->nome;
        $estudante->dataNascimento = $request->tData;
        $estudante->provinciaNascimento = $request->txtProvincia;
        $estudante->municipioNascimento = $request->txtMunicipio;
        $estudante->naturalidade = $request->txtNaturalidade;
        $estudante->numeroBilhete = $request->numeroBI;
        $estudante->nomePai = $request->nomePai;
        $estudante->nomeMae = $request->nomeMae;
        $estudante->dataEmissaoBilhete = $request->dataEmissao;
        // $estudante->dataExpiracaoBilhete = $request->tDataExpirassao;
        $estudante->sexo = $request->sexo;
        $estudante->morada = $request->cidadeMora;
        $estudante->bairro = $request->bairro;
        $estudante->nomeEncarregado = $request->nomeEncarregado;
        $estudante->relacaoComEncarregado = $request->relacao;
        $estudante->numeroEncarregado = $request->numeroTelefone;
        // $estudante->criadoPor = $usuario->name;
        // $estudante->editadoPor = $usuario->name;
        $estudante->foto = "";


        // Verificando se a foto é válida
        if ($request->foto) {
            $foto = $request->foto;
            $extensaoI =  $foto->getClientOriginalExtension();
            if ($extensaoI!= 'jpg' && $extensaoI!= 'png') {
                return back()->with('erro', 'Erro: foto inválida');
            }


        }
 
         $estudante->save();
        // Guardar a imagem na base de dados

         if ($request->foto) {
            File::move($foto, public_path().'/imagens/alunos/imag_'.$estudante->id.'.'.$extensaoI);
            $estudante->foto = '/imagens/alunos/imag_'.$estudante->id.'.'.$extensaoI;
            $estudante->save();
        }




        $estudante->save();

        return redirect('/estudantes');
    }

    public function registarAnoLectivo(Request $request)
    {
         $anoLectivo = new anoLectivo();
        $anoLectivo->nome = $request->txtNome;
         
         
 
        $anoLectivo->save();
        return redirect('/registar_anoLectivo');
    }

    public function registarCadernetas(Request $request)
    {
         cadernetas::create($request->all());
    }

    public function registarClasses(Request $request)
    {
          $classe = new classes();
        $classe->nome = $request->txtNome;
         
         
 
        $classe->save();
        return redirect('/classes');
    }

    public function registarDisciplinas(Request $request)
    {
          $disciplina = new disciplinas();
        $disciplina->nome = $request->txtNome;
        $disciplina->classe_id = $request->txtClasse;
        $disciplina->professor_id = $request->txtProfessor;
         
 
        $disciplina->save();
        return redirect('/disciplinas');
    }

    public function registarFuncoes(Request $request)
    {
         $funcao = new funcoes();
        $funcao->nome = $request->txtNome;
         
         
        $funcao->save();

        return redirect('/funcoes');
    }

    public function registarMapas(Request $request)
    {
         mapas::create($request->all());
    }

    public function registarMatriculas(Request $request)
    {
          $usuario = Auth::user();
        $matricula = new matriculas();
        $ano = date("Y"); 

        $matricula->estudante_id = $request->tNumeroSGA;
        $matricula->classe_id = $request->tClasse;
        $matricula->turma_id = $request->txtTurma;
        $matricula->nomeEstudante = estudantes::find($request->tNumeroSGA)->nome;
        // $matricula->usuario_id = 1;
        // $matricula->foto = $request->tFotoMatricula;
        // $matricula->dataNascimento = $request->tDataNascimentoMatricula;
        // $matricula->numeroBilhete = $request->tNumeroBiMatricula;
        $matricula->anoLectivo = $ano;
        // $matricula->periodo = $request->tPeriodo;
        $matricula->turno = $request->tTurno;
        $matricula->numeroEstudante = $request->tNumeroSGA;
        // $matricula->criadoPor = $usuario->name;
        // $matricula->editadoPor = $usuario->name;

        // $matricula->estudantes()->nome='Paulinho';
        // $matricula->estudantes()->save();
        // $matricula->estudantes->update(["matriculado" => 1]);
        // $matricula->estudantes->update(["matriculado" => 1]);
        $matricula->save();

        $estudante = estudantes::find($matricula->estudante_id);

        $estudante->matriculado = 1;
        $estudante->classeActual = $matricula->classe_id;
        $estudante->turmaActual = $matricula->turma_id;
        $estudante->save();

        # return redirect('/visualizar_estudante/'.$matricula->estudante_id);

        return 'aluno matriculado';
    }

    public function registarNotas(Request $request)
    {
           //
        $nota = new notas();
        $nota->estudante_id = $request->txtNumeroEstudante;
        $nota->disciplina_id = $request->txtCodDisciplina;
        $disciplina = disciplinas::where('id','=', $nota->disciplina_id)->first();
        $nota->descricao = $request->txtDescricao;
        $nota->trimestre = $request->txtTrimestre;
        $nota->disciplinas = $disciplina->nome;

        $classe_id = estudantes::find($nota->estudante_id);

        $matriculaAluno = estudantes::find($request->txtNumeroEstudante)->matricula()->first();
        $nota->classe_id = $classe_id->classeActual;
        // $nota->dataExpiracaoBilhete = $request->tDataExpirassao;
        $nota->valor = $request->txtValor;;
          
            $nota->save();
 
        return redirect('/notas');
    }

    public function registarPagamentos(Request $request)
    {
         pagamentoPropinas::create($request->all());
    }

    public function registarPautas(Request $request)
    {
         $pauta = new pautas();
        $pauta->titulo = $request->txtTitulo;
        $pauta->classe_id = $request->txtClasse;
        $pauta->anoLectivo_id = $request->txtAno;
        $pauta->turma_id = $request->txtTurma;
      
        $pauta->save();

        return redirect('/pautas');
    }

    public function registarProfessores(Request $request)
    {
         // professores::create($request->all());
        $usuario = Auth::user();

        $professor = new professores();
        $professor->nome = $request->txtNome;
        $professor->foto = $request->tFotoProfessor;
        $professor->numeroAgente = $request->tAgente;
        $professor->dataNascimento = $request->tDataNascimento;
        $professor->localNascimento = $request->tLocalNascimentoProfessor;
        $professor->numeroBilhete = $request->tNumeroBI;
        $professor->estadoCivil = $request->tEstadoCivil;
        $professor->sexo = 'Masc';
        $professor->morada = $request->tCidadeMoraprofessor;
        $professor->nivelAcademico = $request->tNivelAcademico;
        $professor->bairro = $request->tBairroProfessor;
        $professor->email = $request->txtEmail;
        $professor->senha = $request->senha;
        $professor->funcao_id = $request->txtFuncaoId;
        $professor->usuario_id = $usuario->id;
        $professor->foto = "";


        // Verificando se a foto é válida
        if ($request->foto) {
            $foto = $request->foto;
            $extensaoI =  $foto->getClientOriginalExtension();
            if ($extensaoI!= 'jpg' && $extensaoI!= 'png') {
                return back()->with('erro', 'Erro: foto inválida');
            }


        }
 
         
        // Guardar a imagem na base de dados

         if ($request->foto) {
            File::move($foto, public_path().'/imagens/professores/imag_'.$professor->id.'.'.$extensaoI);
            $professor->foto = '/imagens/professores/imag_'.$professor->id.'.'.$extensaoI;
            $professor->save();
        }


        $professor->save();

        $user = new User();
        $user->name = $professor->nome;
        $user->email = $professor->email;
        $user->password = Hash::make($professor->senha);
        $user->e_professor = 1;
        $user->save();

        return redirect('/professores');

    }

    public function registarPublicacoes(Request $request)
    {
          // guardar a notícia na base de dados
        $publicacao = new publicacoes;
        $publicacao->titulo = $request->titulo;
        $publicacao->conteudo = $request->conteudo;
       



        // visibilidade da notícia
        if (isset($request->visivel)) {
            $publicacao->visivel = 1;
        }
        else{
            $publicacao->visivel = 0;
        }


        // destaque da notícia
        if (isset($request->destaque)) {
            $publicacao->destaque = 1;
        }
        else{
            $publicacao->destaque = 0;
        }


        // salvar na bd
        $publicacao->save();

        // redirecionar para a página inicial

        return redirect('/publicacoes');
    }

    public function registarTermos(Request $request)
    {
         $termo = new termos();
        $termo->estudante_id = $request->txtIdAluno;
        $termo->classe_id = $request->txtIdClasse;
        $termo->dados = $request->txtDados;
        


        $termo->save();
        return redirect('/termos');
    }

    public function registarTurmas(Request $request)
    {
         // turmas::create($request->all());

        $turma = new turmas();
        $turma->nome = $request->txtNome;
        $turma->classe_id = $request->txtClasse;
        $turma->professor_id = $request->txtProfessor;
        

      
        $turma->save();

        return back()->with('success', 'Turma Registada com sucesso');

    }

    public function registarUsuarios(Request $request)
    {
         usuarios::create($request->all());
    }






}
