<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Categorias;
use App\Models\Organizacoes;
use Illuminate\Support\Facades\Auth;
use File;
use Alert;

class categoriasController extends Controller
{
    public function index()
    {
        //
        $categorias = Categorias::all();

        return view('conteudos.categorias.app_categorias', compact('categorias'));
    }

    
    public function create()
    {
        //
        return view('conteudos.categorias.app_registar_categoria');
    }
 
    public function store(Request $request)
    {
        //
        $user = Auth::user();

        $categoria = new categorias;
        $categoria->descricao = $request->descricao;
        $categoria->sigla = $request->sigla;
        $categoria->area = $request->area;
        $categoria->ordem = $request->ordem;
        $categoria->cor = $request->cor;
        $categoria->cor_texto = $request->cor_texto;
 
        $categoria->save();

        // redirecionar para a página inicial
        Alert::toast('Registro Criado Com Sucesso', 'success');

        return redirect('/categorias');
    }

   
 
    public function show($id)
    {
        $categoria = categorias::find($id);
        
             return view('conteudos.categorias.app_visualizar_categoria', compact('categoria'));
    }

    
    public function edit($id)
    {
        //
        $organizacoes = Organizacoes::all();
        $categoria = categorias::find($id);
        return view('conteudos.categorias.app_editar_categoria', compact('organizacoes','categoria'));
    }

        public function update(Request $request, $id)
    {
        //

        $categoria = categorias::find($id);
        $categoria->tipo_segmento = $request->tipo_segmento;
        $categoria->organizacao_id = $request->organizacao_id;
        $categoria->descricao = $request->descricao;
        $categoria->sigla = $request->sigla;
        $categoria->observacoes = $request->observacoes;

        if (isset($request->inativo)) {
            $categoria->inativo = 1;
        }
        else{
            $categoria->inativo = 0;
        }


        if (isset($request->listar)) {
            $categoria->listar = 1;
        }
        else{
            $categoria->listar = 0;
        }

        $categoria->save();

        // redirecionar para a página inicial
        Alert::toast('Registro Atualizado Com Sucesso', 'success');

        return redirect('/categorias');
    }

    
    public function destroy($id)
    {
        //
        categorias::destroy($id);
        Alert::toast('Registro Eliminado Com Sucesso', 'success');

        return redirect('/categorias');
    }
}
