<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Documentos;
use App\Models\Organizacoes;
use Illuminate\Support\Facades\Auth;
use File;
use Alert;

class documentosController extends Controller
{

    public function index()
    {
        //
        $documentos = Documentos::latest()->paginate(5);


        return view('conteudos.documentos.app_documentos', compact('documentos'));
    }


    public function create()
    {
        //

        return view('conteudos.documentos.app_registar_documento');
    }

    public function store(Request $request)
    {
        //
        $request->validate(
            [
                'descricao' =>'required|min:3|max:100',
            ],
            [
                'descricao.required' => 'Descrição do documento obrigatório',
                'descricao.required' => 'Descrição com pelo menos 3 caracteres'
            ]
        );
        $user = Auth::user();


        $documento = new Documentos;
        $documento->descricao = $request->descricao;


        $documento->save();

         // redirecionar para a página inicial
        // Alert::toast('Registro Criado Com Sucesso', 'success');

        return response()->json([
            'status' => 'success',
        ]);
    }



    public function show($id)
    {
        $documento = Documentos::find($id);

             return view('conteudos.documentos.app_visualizar_documento', compact('documento'));
    }


    public function edit($id)
    {
        //
        $organizacoes = Organizacoes::all();
        $documento = Documentos::find($id);
        return view('conteudos.documentos.app_editar_documento', compact('organizacoes','documento'));
    }

        public function update(Request $request)
    {
        //

        $request->validate(
            [
                'up_descricao' =>'required|min:3|max:100,'.$request->up_id,
            ],
            [
                'up_descricao.required' => 'Descrição do documento obrigatório',
                'up_descricao.required' => 'Descrição com pelo menos 3 caracteres'
            ]
        );


        Documentos::where('id', $request->up_id)->update([
            'descricao' => $request->up_descricao
        ]);


        return response()->json([
            'status' => 'success',
        ]);
    }


    public function destroy(Request $request)
    {
        //
        Documentos::destroy($request->document_id);

        return response()->json([
            'status' => 'success',
        ]);
    }

    public function pagination(Request $request)
    {
        //
        $documentos = Documentos::latest()->paginate(5);


        return view('conteudos.documentos.app_pagination_documentos', compact('documentos'))->render();
    }

    public function search(Request $request)
    {
        //
        $documentos = Documentos::where('descricao', 'like', '%'.$request->search_string.'%')
        ->orderBy('id', 'desc')->paginate(5);

        if ($documentos->count() > 0) {
            return view('conteudos.documentos.app_pagination_documentos', compact('documentos'))->render();
        } else {
            return response()->json([
                'status' => 'nothing_found',
            ]);
        }


    }
}
