<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\FichasSaude;
use App\Models\Estudantes;
use App\Models\Organizacoes;
use Illuminate\Support\Facades\Auth;
use File;
use Alert;

class fichasSaudeController extends Controller
{
  
    public function index()
    {
        //
        $fichas = FichasSaude::all();


        return view('conteudos.fichas_saude.app_fichas', compact('fichas'));
    }

    
    public function create()
    {
        //
        $estudantes = Estudantes::all();
        return view('conteudos.fichas_saude.app_registar_ficha', compact('estudantes'));
    }

    public function createbyid($id)
    {
        //
        $estudante = Estudantes::find($id);
        return view('conteudos.fichas_saude.app_registar_ficha', compact('estudante'));
    }
 
    public function store(Request $request)
    {

     
        //
        $user = Auth::user();

        $ficha_saude = new FichasSaude;
        $ficha_saude->estudante_id = $request->estudante_id;
        $ficha_saude->pratica_exercicios_frequencia = $request->pratica_exercicios_frequencia;
        $ficha_saude->faz_uso_medicamento = $request->faz_uso_medicamento;
        $ficha_saude->possui_restricao_medica = $request->possui_restricao_medica;
        $ficha_saude->sente_dor_peito = $request->sente_dor_peito;
        $ficha_saude->possui_dores_coluna = $request->possui_dores_coluna;
        $ficha_saude->local_dor_articulacao = $request->local_dor_articulacao;
        $ficha_saude->possui_alergia = $request->possui_alergia;
        $ficha_saude->sofre_caimbras_frequentes = $request->sofre_caimbras_frequentes;
        $ficha_saude->sofreu_alguma_fratura = $request->sofreu_alguma_fratura;
        $ficha_saude->onde_sofreu_fratura = $request->onde_sofreu_fratura;
        $ficha_saude->alguma_cirurgia = $request->alguma_cirurgia;
        $ficha_saude->qual_cirurgia = $request->qual_cirurgia;
        $ficha_saude->pressao_arterial = $request->pressao_arterial;
        $ficha_saude->obesidade = $request->obesidade;
        $ficha_saude->colesterol = $request->colesterol;
        $ficha_saude->tem_diabetes = $request->tem_diabetes;
        $ficha_saude->possio_problemas_posturais = $request->possio_problemas_posturais;
        $ficha_saude->perdeu_consciencia = $request->perdeu_consciencia;
        $ficha_saude->problemas_tiroide = $request->problemas_tiroide;
        $ficha_saude->asma = $request->asma;
        $ficha_saude->bronquite = $request->bronquite;
        $ficha_saude->Epilepsia = $request->Epilepsia;
        $ficha_saude->problema_cardiaco = $request->problema_cardiaco;
        $ficha_saude->comentario = $request->comentario;
        $ficha_saude->comprometimento = $request->comprometimento;

        

        $ficha_saude->save();

        // redirecionar para a página inicial
        Alert::toast('Registro Criado Com Sucesso', 'success');

        return redirect('/fichas_saude');
    }

   
 
    public function show($id)
    {
        $ficha_saude = FichasSaude::find($id);
        
             return view('conteudos.fichas_saude.app_visualizar_ficha_saude', compact('ficha_saude'));
    }

    
    public function edit($id)
    {
        //
        $organizacoes = Organizacoes::all();
        $ficha_saude = FichasSaude::find($id);
        return view('conteudos.fichas_saude.app_editar_ficha_saude', compact('organizacoes','ficha_saude'));
    }

        public function update(Request $request, $id)
    {
        //

        $ficha_saude = FichasSaude::find($id);
        $ficha_saude->tipo_segmento = $request->tipo_segmento;
        $ficha_saude->organizacao_id = $request->organizacao_id;
        $ficha_saude->descricao = $request->descricao;
        $ficha_saude->sigla = $request->sigla;
        $ficha_saude->observacoes = $request->observacoes;

        if (isset($request->inativo)) {
            $ficha_saude->inativo = 1;
        }
        else{
            $ficha_saude->inativo = 0;
        }


        if (isset($request->listar)) {
            $ficha_saude->listar = 1;
        }
        else{
            $ficha_saude->listar = 0;
        }

        $ficha_saude->save();

        // redirecionar para a página inicial
        Alert::toast('Registro Atualizado Com Sucesso', 'success');

        return redirect('/fichas_saude');
    }

    
    public function destroy($id)
    {
        //
        FichasSaude::destroy($id);
        Alert::toast('Registro Eliminado Com Sucesso', 'success');

        return redirect('/fichas_saude');
    }
}
