<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\fotos;
use Session;
use Illuminate\Support\Facades\DB;
use File;
use Illuminate\Support\Facades\Auth;

class fotosController extends Controller
{
     
    public function index()
    {
        //
       // verifica se existe login
      if (!Session::has('login')) {
        $logado = 0;
      }
      else{
        
           $logado = 1;
      }

        $fotografias = fotos::orderBy('created_at', 'desc')->paginate(50);
        return view('conteudos.fotos.app_fotos', compact('fotografias'))->with('logado', $logado);
    } 
 
    public function create()
    {
        //
       // verifica se existe login
      if (!Session::has('login')) {
        return view('conteudos.usuarios.app_login_usuario');
      }
      else{
        
           return view('conteudos.fotos.app_publicar_fotos');
      }
       
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //

        // $usuario = Auth::user();

        $foto = new fotos();
        $foto->titulo = $request->txtTitulo;
        $foto->fotografo = $request->txtFotografo;
        $foto->assistente = $request->txtAssistente;
        $foto->modelo = $request->txtModelo;
        $foto->categoria = $request->txtCategoria;
        $foto->descricao = $request->txtDescricao;
        $foto->destaque = $request->checkDestaque;
        $foto->foto = "";

          // visibilidade da imagem
         if (isset($request->checkDestaque)) {
            $foto->destaque = 1;
        }
        else{
            $foto->destaque = 0;
        }


        // Verificando se a foto é válida
        if ($request->foto) {
            $imagem = $request->foto;
            $extensaoI =  $imagem->getClientOriginalExtension();
            if ($extensaoI!= 'jpg' && $extensaoI!= 'png') {
                return back()->with('erro', 'Erro: foto inválida');
            }


        }
 
         $foto->save();
        // Guardar a imagem na base de dados

         if ($request->foto) {
            File::move($imagem, public_path().'/imagens/imag_'.$foto->id.'.'.$extensaoI);
            $foto->foto = '/imagens/imag_'.$foto->id.'.'.$extensaoI;
            $foto->save();
        }


       
 
        $foto->save();
        return redirect('/fotos');
    }

     
    public function show($id)
    {
        //
        $foto = fotos::find($id);

        return view('conteudos.fotos.app_visualizar',compact('foto'));
        
    }

  
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }


    public function pesquisar(Request $request)
    {


        $pesquisa = fotos::where('titulo','like','%'.$request->texto.'%')->get();
        // $musica = fotos::where('titulo','like','%'.$request->texto.'%')->orWhere('autor','like','%'.$request->texto.'%')->get();

        // $dados = [];
        // $dados = ['url'] = url('/');
        // $dados['musica'] = musica::where('titulo','like','%'.$request->texto.'%')->orWhere('autor','like','%'.$request->texto.'%')->get();

        return view('conteudos.app_pesquisas', compact('pesquisa'));
    }
}
