<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Modulos;
use App\Models\Organizacoes;
use Illuminate\Support\Facades\Auth;
use File;
use Alert;

class modulosController extends Controller
{
    public function index()
    {
        //
        $modulos = modulos::all();


        return view('conteudos.modulos.app_modulos', compact('modulos'));
    }

    
    public function create()
    {
        //
        $organizacoes = Organizacoes::all();
        return view('conteudos.modulos.app_registar_modulo', compact('organizacoes'));
    }
 
    public function store(Request $request)
    {
        $user = Auth::user();

        $modulo = new modulos;
        $modulo->descricao = $request->descricao;
        $modulo->ano = $request->ano;
        $modulo->sigla = $request->sigla;
        $modulo->inicio_periodo = $request->inicio_periodo;
        $modulo->fim_periodo = $request->fim_periodo;
        $modulo->quantidade_periodo = $request->quantidade_periodo;
 

        $modulo->save();

        // redirecionar para a página inicial
        Alert::toast('Registro Criado Com Sucesso', 'success');

        return redirect('/modulos');
    }

   
 
    public function show($id)
    {
        $modulo = modulos::find($id);
        
             return view('conteudos.modulos.app_visualizar_modulo', compact('modulo'));
    }

    
    public function edit($id)
    {
        //
        $organizacoes = Organizacoes::all();
        $modulo = modulos::find($id);
        return view('conteudos.modulos.app_editar_modulo', compact('organizacoes','modulo'));
    }

        public function update(Request $request, $id)
    {
        //

        $modulo = modulos::find($id);
        $modulo->tipo_segmento = $request->tipo_segmento;
        $modulo->organizacao_id = $request->organizacao_id;
        $modulo->descricao = $request->descricao;
        $modulo->sigla = $request->sigla;
        $modulo->observacoes = $request->observacoes;

        if (isset($request->inativo)) {
            $modulo->inativo = 1;
        }
        else{
            $modulo->inativo = 0;
        }


        if (isset($request->listar)) {
            $modulo->listar = 1;
        }
        else{
            $modulo->listar = 0;
        }

        $modulo->save();

        // redirecionar para a página inicial
        Alert::toast('Registro Atualizado Com Sucesso', 'success');

        return redirect('/modulos');
    }

    
    public function destroy($id)
    {
        //
        modulos::destroy($id);
        Alert::toast('Registro Eliminado Com Sucesso', 'success');

        return redirect('/modulos');
    }
}
