<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Models\Organizacoes;
use App\Models\Projetos;
use App\Models\turmas;
use File;
use Alert;
use Validator;

class organizacoesController extends Controller
{
    public function index()
    {
        //
        $organizacoes = Organizacoes::all();



        return view('conteudos.organizacoes.app_organizacoes', compact('organizacoes'));
    }


    public function create()
    {
        //

        return view('conteudos.organizacoes.app_registar_organizacao');
    }

    function action(Request $request)
    {
     $validation = Validator::make($request->all(), [
      'select_file' => 'required|image|mimes:jpeg,png,jpg,gif|max:2048'
     ]);
     if($validation->passes())
     {
      $image = $request->file('select_file');
      $new_name = rand() . '.' . $image->getClientOriginalExtension();
      $image->move(public_path('images'), $new_name);
      return response()->json([
       'message'   => 'Image Upload Successfully',
       'uploaded_image' => '<img src="/images/'.$new_name.'" class="img-thumbnail" width="300" />',
       'class_name'  => 'alert-success'
      ]);
     }
     else
     {
      return response()->json([
       'message'   => $validation->errors()->all(),
       'uploaded_image' => '',
       'class_name'  => 'alert-danger'
      ]);
     }
    }

    public function store(Request $request)
    {

        $request->validate(
            [
                'nome' => 'required|min:3|max:100',
                'razao_social' => 'required|min:3|max:100',
                'autorizacao' => 'required|min:3|max:100',
                'email' => 'required|min:3|max:100',
                'endereco' => 'required|min:3|max:100',
                'numero' => 'required|min:3|max:100',
                'complemento' => 'required|min:3|max:100',
                'bairro' => 'required|min:3|max:100',
                'cep' => 'required|min:3|max:100',
                'estado' => 'required|min:1|max:100',
                'cidade' => 'required|min:1|max:100',
                'telefone1' => 'required|min:3|max:100',
                'telefone2' => 'required|min:3|max:100',
                'inscricao_estadual' => 'required|min:3|max:100',
                'cnpj' => 'required|min:3|max:100',
                'assinatura' => 'required|min:3|max:100',
            ]
        );




        //

        $organizacao = new Organizacoes;
        $organizacao->nome = $request->nome;
        $organizacao->razao_social = $request->razao_social;
        $organizacao->autorizacao = $request->autorizacao;
        $organizacao->email = $request->email;
        $organizacao->endereco = $request->endereco;
        $organizacao->numero = $request->numero;
        $organizacao->complemento = $request->complemento;
        $organizacao->bairro = $request->bairro;
        $organizacao->cep = $request->cep;
        $organizacao->estado = $request->estado;
        $organizacao->cidade = $request->cidade;
        $organizacao->telefone1 = $request->telefone1;
        $organizacao->telefone2 = $request->telefone2;
        $organizacao->inscricao_estadual = $request->inscricao_estadual;
        $organizacao->cnpj = $request->cnpj;
        $organizacao->assinatura = $request->assinatura;
        $organizacao->logotipo = "";
        $organizacao->file_assinatura = "";

        // ======================== L O G O T I P O ====================


        // Verificando se a logotipo é válida
        if ($request->logotipo) {
            $logotipo = $request->logotipo;
            $extensaoI =  $logotipo->getClientOriginalExtension();
            if ($extensaoI!= 'jpg' && $extensaoI!= 'png') {
                return back()->with('erro', 'Erro: logotipo com formato inválido');
            }


        }

         $organizacao->save();
        // Guardar a imagem na base de dados

         if ($request->logotipo) {
            File::move($logotipo, public_path().'/images/logotipos/imag_'.$organizacao->id.'.'.$extensaoI);
            $organizacao->logotipo = '/images/logotipos/imag_'.$organizacao->id.'.'.$extensaoI;
            $organizacao->save();
        }

        // salvar na bd
        $organizacao->save();

        // ======================== A S S I N A T U R A ====================


        // Verificando se a logotipo é válida
        if ($request->file_assinatura) {
            $file_assinatura = $request->file_assinatura;
            $extensaoI =  $file_assinatura->getClientOriginalExtension();
            if ($extensaoI!= 'pdf' && $extensaoI!= 'doc' && $extensaoI!= 'docx') {
                return back()->with('erro', 'Erro: Documento com formato inválido');
            }

        }

         $organizacao->save();
        // Guardar a imagem na base de dados

         if ($request->file_assinatura) {
            File::move($file_assinatura, public_path().'/images/assinaturas/imag_'.$organizacao->id.'.'.$extensaoI);
            $organizacao->file_assinatura = '/images/assinaturas/imag_'.$organizacao->id.'.'.$extensaoI;
            $organizacao->save();
        }

        // salvar na bd
        $organizacao->save();

        // redirecionar para a página inicial
        // Alert::toast('Registro Criado Com Sucesso', 'success');

        // return redirect('/organizacoes');

        // redirecionar para a página inicial
        // Alert::toast('Registro Criado Com Sucesso', 'success');

        return response()->json([
            'status' => 'success',
        ]);
    }



    public function show($id)
    {
        $organizacao = organizacoes::find($id);
        $projetos = Projetos::where('organizacao_id',$id)->get();
        $turmas = turmas::where('organizacao_id',$id)->get();

             return view('conteudos.organizacoes.app_visualizar_organizacao', compact('organizacao','projetos','turmas'));
    }


    public function edit($id)
    {
        //
        $organizacao = Organizacoes::find($id);
        return view('conteudos.organizacoes.app_editar_organizacao', compact('organizacao'));
    }

        public function update(Request $request, $id)
    {
        //

        $organizacao = organizacoes::find($id);
        $organizacao->nome = $request->nome;
        $organizacao->razao_social = $request->razao_social;
        $organizacao->autorizacao = $request->autorizacao;
        $organizacao->email = $request->email;
        $organizacao->endereco = $request->endereco;
        $organizacao->numero = $request->numero;
        $organizacao->complemento = $request->complemento;
        $organizacao->bairro = $request->bairro;
        $organizacao->cep = $request->cep;
        $organizacao->estado = $request->estado;
        $organizacao->cidade = $request->cidade;
        $organizacao->telefone1 = $request->telefone1;
        $organizacao->telefone2 = $request->telefone2;
        $organizacao->inscricao_estadual = $request->inscricao_estadual;
        $organizacao->cnpj = $request->cnpj;
        $organizacao->assinatura = $request->assinatura;

        // ======================== L O G O T I P O ====================


        // Verificando se a logotipo é válida
        if ($request->logotipo) {
            $logotipo = $request->logotipo;
            $extensaoI =  $logotipo->getClientOriginalExtension();
            if ($extensaoI!= 'jpg' && $extensaoI!= 'png') {
                return back()->with('erro', 'Erro: logotipo inválido');
            }


        }

         $organizacao->save();
        // Guardar a imagem na base de dados

         if ($request->logotipo) {
            File::move($logotipo, public_path().'/images/logotipos/imag_'.$organizacao->id.'.'.$extensaoI);
            $organizacao->logotipo = '/images/logotipos/imag_'.$organizacao->id.'.'.$extensaoI;
            $organizacao->save();
        }

        // salvar na bd
        $organizacao->save();

        // ======================== A S S I N A T U R A ====================


        // Verificando se a logotipo é válida
        if ($request->file_assinatura) {
            $file_assinatura = $request->file_assinatura;
            $extensaoI =  $file_assinatura->getClientOriginalExtension();
            if ($extensaoI!= 'pdf' && $extensaoI!= 'doc' && $extensaoI!= 'docx') {
                return back()->with('erro', 'Erro: Assinatura inválida');
            }

        }

         $organizacao->save();
        // Guardar a imagem na base de dados

         if ($request->file_assinatura) {
            File::move($file_assinatura, public_path().'/images/assinaturas/imag_'.$organizacao->id.'.'.$extensaoI);
            $organizacao->file_assinatura = '/images/assinaturas/imag_'.$organizacao->id.'.'.$extensaoI;
            $organizacao->save();
        }

        // salvar na bd
        $organizacao->save();

        // redirecionar para a página inicial

        return redirect('/organizacoes');
    }


    public function destroy($id)
    {
        //
        Organizacoes::destroy($id);
        Alert::toast('Registro Eliminado Com Sucesso', 'success');

        return redirect('/organizacoes');
    }
}
