<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Periodos;
use App\Models\Organizacoes;
use Illuminate\Support\Facades\Auth;
use File;
use Alert;

class periodosController extends Controller
{ 
    public function index()
    {
        //
        $periodos = periodos::all();


        return view('conteudos.periodos.app_periodos', compact('periodos'));
    }

    
    public function create()
    {
        //
       
        return view('conteudos.periodos.app_registar_periodo');
    }
 
    public function store(Request $request)
    {
        //
        $user = Auth::user();


        $periodo = new Periodos;
        $periodo->descricao = $request->descricao;
        $periodo->horario_inicio = $request->horario_inicio;
        $periodo->horario_termino = $request->horario_termino;
        $periodo->cursos = $request->cursos;
         

        $periodo->save();

        // redirecionar para a página inicial
        Alert::toast('Registro Criado Com Sucesso', 'success');

        return redirect('/periodos');
    }

   
 
    public function show($id)
    {
        $periodo = periodos::find($id);
        
             return view('conteudos.periodos.app_visualizar_periodo', compact('periodo'));
    }

    
    public function edit($id)
    {
        //
        $organizacoes = Organizacoes::all();
        $periodo = periodos::find($id);
        return view('conteudos.periodos.app_editar_periodo', compact('organizacoes','periodo'));
    }

        public function update(Request $request, $id)
    {
        //

        $periodo = periodos::find($id);
        $periodo->tipo_segmento = $request->tipo_segmento;
        $periodo->organizacao_id = $request->organizacao_id;
        $periodo->descricao = $request->descricao;
        $periodo->sigla = $request->sigla;
        $periodo->observacoes = $request->observacoes;

        if (isset($request->inativo)) {
            $periodo->inativo = 1;
        }
        else{
            $periodo->inativo = 0;
        }


        if (isset($request->listar)) {
            $periodo->listar = 1;
        }
        else{
            $periodo->listar = 0;
        }

        $periodo->save();

        // redirecionar para a página inicial
        Alert::toast('Registro Atualizado Com Sucesso', 'success');

        return redirect('/periodos');
    }

    
    public function destroy($id)
    {
        //
        periodos::destroy($id);
        Alert::toast('Registro Eliminado Com Sucesso', 'success');

        return redirect('/periodos');
    }
}
