<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Projetos;
use App\Models\Organizacoes;
use App\Models\turmas;
use App\Models\notas;
use App\Models\Digitacoes;
use App\Models\Boletins;
use App\Models\Grades;
use Illuminate\Support\Facades\Auth;
use File;
use Alert;

class projetosController extends Controller
{
    
    public function index()
    {
        //
        $projetos = Projetos::all();


        return view('conteudos.projetos.app_projetos', compact('projetos'));
    }

    
    public function create()
    {
        //
        $organizacoes = Organizacoes::all();
        return view('conteudos.projetos.app_registar_projeto', compact('organizacoes'));
    }
 
    public function store(Request $request)
    {
        //
        $user = Auth::user();

        $request->validate(
            [
                'tipo_segmento' => 'required|max:100',
                'organizacao_id' => 'required|max:100',
                'descricao' => 'required|max:100',
                'sigla' => 'required|max:100',
                'observacoes' => 'required|max:100',
                'inativo' => 'required|max:100',
                'listar' => 'required|max:100',
            ]
        );

        $projeto = new Projetos;
        $projeto->tipo_segmento = $request->tipo_segmento;
        $projeto->organizacao_id = $request->organizacao_id;
        $projeto->descricao = $request->descricao;
        $projeto->sigla = $request->sigla;
        $projeto->observacoes = $request->observacoes;

        if (isset($request->inativo)) {
            $projeto->inativo = 1;
        }
        else{
            $projeto->inativo = 0;
        }


        if (isset($request->listar)) {
            $projeto->listar = 1;
        }
        else{
            $projeto->listar = 0;
        }

        $projeto->save();

        return response()->json([
            'status' => 'success',
        ]);
    }

   
 
    public function show($id)
    {

        $boletins = Boletins::where('projeto_id',$id)->get();
        // $series = Series::where('projeto_id',$id)->get();
        $grades = Grades::where('projeto_id',$id)->get();
        $turmas = turmas::where('projeto_id',$id)->get();
        $digitacoes = Digitacoes::where('projeto_id',$id)->get();
        $notas = notas::where('projeto_id',$id)->get();

        $projeto = Projetos::find($id);
        
             return view('conteudos.projetos.app_visualizar_projeto', compact('projeto','boletins','grades','turmas','digitacoes','notas'));
    }

    
    public function edit($id)
    {
        //
        $organizacoes = Organizacoes::all();
        $projeto = Projetos::find($id);
        return view('conteudos.projetos.app_editar_projeto', compact('organizacoes','projeto'));
    }

        public function update(Request $request, $id)
    {
        //

        $projeto = projetos::find($id);
        $projeto->tipo_segmento = $request->tipo_segmento;
        $projeto->organizacao_id = $request->organizacao_id;
        $projeto->descricao = $request->descricao;
        $projeto->sigla = $request->sigla;
        $projeto->observacoes = $request->observacoes;

        if (isset($request->inativo)) {
            $projeto->inativo = 1;
        }
        else{
            $projeto->inativo = 0;
        }


        if (isset($request->listar)) {
            $projeto->listar = 1;
        }
        else{
            $projeto->listar = 0;
        }

        $projeto->save();

        // redirecionar para a página inicial
        Alert::toast('Registro Atualizado Com Sucesso', 'success');

        return redirect('/projetos');
    }

    
    public function destroy($id)
    {
        //
        Projetos::destroy($id);
        Alert::toast('Registro Eliminado Com Sucesso', 'success');

        return redirect('/projetos');
    }
}
