<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Models\publicacoes;
use File;
class publicacoesController extends Controller
{
    
    public function index()
    {
        //
        $publicacoes = publicacoes::all();

        return view('conteudos.publicacoes.app_publicacoes', compact('publicacoes'));
    }

    
    public function create()
    {
        //

        return view('conteudos.publicacoes.app_criar_publicacoes');
    }
 
    public function store(Request $request)
    {
        //
        $user = Auth::user();

             // guardar a notícia na base de dados
        $publicacao = new publicacoes;
        $publicacao->titulo = $request->titulo;
        $publicacao->conteudo = $request->conteudo;
        $publicacao->foto = "";
        $publicacao->user_id = $user->id;

       
        // Verificando se a foto é válida
        if ($request->foto) {
            $foto = $request->foto;
            $extensaoI =  $foto->getClientOriginalExtension();
            if ($extensaoI!= 'jpg' && $extensaoI!= 'png') {
                return back()->with('erro', 'Erro: foto inválida');
            }


        }
 
         $publicacao->save();
        // Guardar a imagem na base de dados

         if ($request->foto) {
            File::move($foto, public_path().'/images/publicacoes/imag_'.$publicacao->id.'.'.$extensaoI);
            $publicacao->foto = '/images/publicacoes/imag_'.$publicacao->id.'.'.$extensaoI;
            $publicacao->save();
        } 


        // visibilidade da notícia
        if (isset($request->visivel)) {
            $publicacao->visivel = 1;
        }
        else{
            $publicacao->visivel = 0;
        }

        // salvar na bd
        $publicacao->save();

        // redirecionar para a página inicial

        return redirect('/publicacoes');
    }

   
 
    public function show($id)
    {
        $publicacao = publicacoes::find($id);
        
             return view('conteudos.publicacoes.app_visualizar_publicacao', compact('publicacao'));
    }

    
    public function edit($id)
    {
        //
        $publicacao =publicacoes::find($id);
        return view('conteudos.publicacoes.app_editar_publicacao', compact('publicacao'));
    }

        public function update(Request $request, $id)
    {
        //

        $publicacao = publicacoes::find($id);
        $publicacao->titulo = $request->titulo;
        $publicacao->conteudo = $request->conteudo;
       



        // visibilidade da notícia
        if (isset($request->visivel)) {
            $publicacao->visivel = 1;
        }
        else{
            $publicacao->visivel = 0;
        }


        // destaque da notícia
        if (isset($request->destaque)) {
            $publicacao->destaque = 1;
        }
        else{
            $publicacao->destaque = 0;
        }


        // salvar na bd
        $publicacao->save();

        // redirecionar para a página inicial

        return redirect('/publicacoes');
    }

    
    public function destroy($id)
    {
        //
        publicacoes::destroy($id);

        return redirect('/publicacoes');
    }
}
