<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Projetos;
use App\Models\Turmas;
use App\Models\Series;
use Illuminate\Support\Facades\Auth;
use File;
use Alert;

class seriesController extends Controller
{
     
    public function index()
    {
        //
        $series = series::all();


        return view('conteudos.series.app_series', compact('series'));
    }

    
    public function create()
    {
        //
        $turmas = Turmas::all();
        $projetos = Projetos::all();
        return view('conteudos.series.app_registar_serie', compact('turmas','projetos'));
    }
 
    public function store(Request $request)
    {
        //
        $user = Auth::user();

        $serie = new Series;
        $serie->descricao = $request->descricao;
        $serie->ordem = $request->ordem;
        $serie->situacao = $request->situacao;
        $serie->projeto_id = $request->projeto_id;
        $serie->proximo_projeto_id = $request->proximo_projeto_id;
        $serie->turma_id = $request->turma_id;
        $serie->proxima_turma_id = $request->proxima_turma_id;

       
        $serie->save();

        // redirecionar para a página inicial
        Alert::toast('Registro Criado Com Sucesso', 'success');

        return redirect('/series');
    }

   
 
    public function show($id)
    {
        $serie = series::find($id);
        
             return view('conteudos.series.app_visualizar_serie', compact('serie'));
    }

    
    public function edit($id)
    {
        //
        $organizacoes = Organizacoes::all();
        $serie = series::find($id);
        return view('conteudos.series.app_editar_serie', compact('organizacoes','serie'));
    }

        public function update(Request $request, $id)
    {
        //

        $serie = series::find($id);
        $serie->tipo_segmento = $request->tipo_segmento;
        $serie->organizacao_id = $request->organizacao_id;
        $serie->descricao = $request->descricao;
        $serie->sigla = $request->sigla;
        $serie->observacoes = $request->observacoes;

        if (isset($request->inativo)) {
            $serie->inativo = 1;
        }
        else{
            $serie->inativo = 0;
        }


        if (isset($request->listar)) {
            $serie->listar = 1;
        }
        else{
            $serie->listar = 0;
        }

        $serie->save();

        // redirecionar para a página inicial
        Alert::toast('Registro Atualizado Com Sucesso', 'success');

        return redirect('/series');
    }

    
    public function destroy($id)
    {
        //
        Series::destroy($id);
        Alert::toast('Registro Eliminado Com Sucesso', 'success');

        return redirect('/series');
    }
}
