<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Visitantes;
use App\Models\Organizacoes;
use Illuminate\Support\Facades\Auth;
use File;
use Alert;

class visitantesController extends Controller
{

    public function index()
    {
        //
        $visitantes = Visitantes::all();


        return view('conteudos.visitantes.app_visitantes', compact('visitantes'));
    }


    public function create()
    {
        //
        $organizacoes = Organizacoes::all();
        return view('conteudos.visitantes.app_registar_visitante', compact('organizacoes'));
    }

    public function store(Request $request)
    {
        //
        $user = Auth::user();

        $visitante = new Visitantes;
        $visitante->nome_visitante = $request->nome_visitante;
        $visitante->email = $request->email;
        $visitante->cpf = $request->cpf;
        $visitante->cep = $request->cep;
        $visitante->endereco = $request->endereco;
        $visitante->numero = $request->numero;
        $visitante->complemento = $request->complemento;
        $visitante->bairro = $request->bairro;
        $visitante->estado = $request->estado;
        $visitante->cidade = $request->cidade;
        $visitante->telefone = $request->telefone;
        $visitante->telefone_comercial = $request->telefone_comercial;
        $visitante->telefone_celular = $request->telefone_celular;
        $visitante->como_nos_conheceu = $request->como_nos_conheceu;
        $visitante->nome_aluno = $request->nome_aluno;
        $visitante->data_nascimento = $request->data_nascimento;
        $visitante->ano_matricula = $request->ano_matricula;
        $visitante->curso = $request->curso;
        $visitante->serie = $request->serie;
        $visitante->periodo = $request->periodo;
        $visitante->instituicao = $request->instituicao;
        $visitante->situacao = $request->situacao;
        $visitante->unidade = $request->unidade;
        $visitante->observacoes = $request->observacoes;

        $visitante->save();

        // redirecionar para a página inicial
        Alert::toast('Registro Criado Com Sucesso', 'success');

        return redirect('/visitantes');
    }



    public function show($id)
    {
        $visitante = Visitantes::find($id);

             return view('conteudos.visitantes.app_visualizar_visitante', compact('visitante'));
    }


    public function edit($id)
    {
        //
        $organizacoes = Organizacoes::all();
        $visitante = Visitantes::find($id);
        return view('conteudos.visitantes.app_editar_visitante', compact('organizacoes','visitante'));
    }

        public function update(Request $request, $id)
    {
        //

        $visitante = Visitantes::find($id);
        $visitante->tipo_segmento = $request->tipo_segmento;
        $visitante->organizacao_id = $request->organizacao_id;
        $visitante->descricao = $request->descricao;
        $visitante->sigla = $request->sigla;
        $visitante->observacoes = $request->observacoes;

        if (isset($request->inativo)) {
            $visitante->inativo = 1;
        }
        else{
            $visitante->inativo = 0;
        }


        if (isset($request->listar)) {
            $visitante->listar = 1;
        }
        else{
            $visitante->listar = 0;
        }

        $visitante->save();

        // redirecionar para a página inicial
        Alert::toast('Registro Atualizado Com Sucesso', 'success');

        return redirect('/visitantes');
    }


    public function destroy($id)
    {
        //
        Visitantes::destroy($id);
        Alert::toast('Registro Eliminado Com Sucesso', 'success');

        return redirect('/visitantes');
    }
}
