<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEstudantesTable extends Migration
{
     
    public function up()
    {
        Schema::create('estudantes', function (Blueprint $table) {
            $table->increments('id');
            $table->string('nome');
            $table->string('foto')->default('foto');
            $table->string('data_nascimento')->nullable();
            $table->string('rm');
            $table->string('gerar_rm');
            $table->string('estado_nascimento');
            $table->string('cidade_nascimento');
            $table->string('naturalidade');
            $table->string('ra');
            $table->string('rg');
            $table->string('sexo')->default('Masculino');
            $table->string('estado_emissor');
            $table->string('orgao_emissor');
            $table->string('data_expedicao');
            $table->string('passe_escolar');
            $table->string('cpf');
            $table->string('telefone_comercial');
            $table->string('telefone_celular');
            $table->string('email');
            $table->string('cor_raca');
            $table->string('possui_irmaos');
            $table->string('ex_aluno');
            $table->string('endereco_cep');
            $table->string('endereco');
            $table->string('numero_endereco');
            $table->string('complemento_endereco');
            $table->string('bairro_endereco');
            $table->string('estado_endereco');
            $table->string('cidade_endereco');
            $table->string('telefone_residencial');
            $table->string('certidao_nascimento_numero');
            $table->string('livro_certidao');
            $table->string('folha_certidao');
            $table->string('cartorio_certidao');
            $table->string('matricula_certidao');
            $table->string('numero_eleitor');
            $table->string('zona_eleitor');
            $table->string('secao_eleitor');
            $table->string('emissao_eleitor');
            $table->string('estado_emissao');
            $table->string('cidade_emissao');
            $table->string('portaria');
            $table->string('observacoes');
            $table->string('pai');
            $table->string('mae');
            $table->string('responsavel');
            
            $table->integer('classeActual')->default(0);
            $table->integer('turmaActual')->default(0);
            $table->boolean('matriculado')->default(false);
            $table->boolean('pagouPropina')->default(false);
            $table->boolean('propinasEmAtraso')->default(false);
            $table->boolean('avaliado')->default(false);
            $table->boolean('aprovado')->default(false);
            $table->boolean('transferido')->default(false);

            
            $table->timestamps();
            
        });
    }

    public function down()
    {
        Schema::dropIfExists('estudantes');
    }
}
