<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProjetosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('projetos', function (Blueprint $table) {
            $table->increments('id');
            $table->string('tipo_segmento');
            $table->integer('organizacao_id')->unsigned();
            $table->string('descricao');
            $table->string('sigla');
            $table->boolean('inativo')->default(false);
            $table->boolean('listar')->default(false);
            $table->text('observacoes');
            $table->timestamps();

            $table->foreign('organizacao_id')->references('id')->on('organizacoes')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('projetos');
    }
}
