<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEstatisticasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('estatisticas', function (Blueprint $table) {
            $table->id();
            $table->integer("anoLectivo_id")->unsigned();

            $table->integer("AlMatriculados_M")->nullable();
            $table->integer("AlMatriculados_F")->nullable();
            $table->integer("AlMatriculados_T")->nullable();

            $table->integer("AlAvaliados_M")->nullable();
            $table->integer("AlAvaliados_F")->nullable();
            $table->integer("AlAvaliados_T")->nullable();

            $table->integer("AlSemAvaliacao_M")->nullable();
            $table->integer("AlSemAvaliacao_F")->nullable();
            $table->integer("AlSemAvaliacao_T")->nullable();

            $table->integer("Positivas_M")->nullable();
            $table->integer("Positivas_F")->nullable();
            $table->integer("Positivas_T")->nullable();

            $table->integer("Negativas_M")->nullable();
            $table->integer("Negativas_F")->nullable();
            $table->integer("Negativas_T")->nullable();

            $table->integer("AlTransferidos_M")->nullable();
            $table->integer("AlTransferidos_F")->nullable();
            $table->integer("AlTransferidos_T")->nullable();

            $table->integer("OutrosAlunos_M")->nullable();
            $table->integer("OutrosAlunos_F")->nullable();
            $table->integer("OutrosAlunos_T")->nullable();

            $table->integer("PercPositivas_M")->nullable();
            $table->integer("PercPositivas_F")->nullable();
            $table->integer("PercPositivas_T")->nullable();

            $table->integer("PercNegativas_M")->nullable();
            $table->integer("PercNegativas_F")->nullable();
            $table->integer("PercNegativas_T")->nullable();

            $table->integer("Total")->nullable();
             
            
            $table->foreign('anoLectivo_id')->references('id')->on('ano_lectivos')->onDelete('cascade');
            

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('estatisticas');
    }
}
