<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTurmasTable extends Migration
{
   
    public function up()
    {
        Schema::create('turmas', function (Blueprint $table) {
            $table->increments('id');
            $table->string('descricao');
            $table->integer('projeto_id')->unsigned();
            $table->integer('proximo_projeto_id')->unsigned();
            $table->string('situacao');
            $table->string('ordem');

            $table->foreign('projeto_id')->references('id')->on('projetos')->onDelete('cascade');
            $table->foreign('proximo_projeto_id')->references('id')->on('projetos')->onDelete('cascade');
            $table->timestamps();
        });
    }

    

    public function down()
    {
        Schema::dropIfExists('turmas');
    }
}
