<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateNotasTable extends Migration
{
   
    public function up()
    {
        Schema::create('notas', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('ano_letivo_id')->unsigned();
            $table->integer('projeto_id')->unsigned();
            $table->integer('categoria_id')->unsigned();
            $table->integer('periodo_id')->unsigned();
            $table->string('turmas');
            $table->string('nota_maxima');
            $table->string('titulo');
            $table->string('tipo');
            $table->string('peso');

            $table->foreign('ano_letivo_id')->references('id')->on('ano_lectivos')->onDelete('cascade');
            $table->foreign('projeto_id')->references('id')->on('projetos')->onDelete('cascade');
            $table->foreign('categoria_id')->references('id')->on('categorias')->onDelete('cascade');
            $table->foreign('periodo_id')->references('id')->on('periodos')->onDelete('cascade');

            $table->timestamps();
        });
        
    }

    public function down()
    {
        Schema::dropIfExists('notas');
    }
}
