<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateNFSTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('n_f_s', function (Blueprint $table) {
            $table->id();
            $table->string('nome_aluno');
            $table->string('nome_responsavel');
            $table->string('data_pagamento_inicial');
            $table->string('data_pagamento_final');
            $table->string('data_vencimento_inicial');
            $table->string('data_vencimento_final');
            $table->integer('organizacao_id')->unsigned();
            $table->string('lancamentos_quitados');
            $table->string('motivos');
            $table->string('mostrar_lancamentos');
            $table->timestamps();

            $table->foreign('organizacao_id')->references('id')->on('organizacoes')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('n_f_s');
    }
}
