@extends('layouts.app1')

@section('content')

<!-- Main Container -->
      <main id="main-container">

        <!-- Hero -->
        <div class="bg-body-light">
          <div class="content content-full">
            <div class="d-flex flex-column flex-sm-row justify-content-sm-between align-items-sm-center">
              <h1 class="flex-grow-1 fs-3 fw-semibold my-2 my-sm-3">Formulário de Estudante</h1>
              <nav class="flex-shrink-0 my-2 my-sm-0 ms-sm-3" aria-label="breadcrumb">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item">Formulário</li>
                  <li class="breadcrumb-item active" aria-current="page">Registrar Novo Estudante</li>
                </ol>
              </nav>
            </div>
          </div>
        </div>
        <!-- END Hero -->

      
        <!-- Page Content -->
        <div class="content">
          <!-- Elements -->
          <div class="block block-rounded">
            <div class="block-header block-header-default">
              <h3 class="block-title">Editar Dados do Estudante</h3>
            </div>
            <div class="block-content">
              <form action="/actualizar_estudante/{{$estudante->id}}" method="POST" enctype="multipart/form-data">
                @csrf
                <!-- Basic Elements -->
                <h2 class="content-heading pt-0">Dados do Estudante</h2>
                <div class="row push">
                  <div class="col-lg-4">
                    <p class="text-muted">
                      Cadastre um novo Estudante no sistema
                    </p>
                  </div>
                  <div class="col-lg-8 col-xl-5">
                    <div class="mb-4">
                      <label class="form-label" for="example-text-input">Foto:</label>
                      <input type="file" class="form-control" id="example-text-input" name="foto" value="{{$estudante->foto}}" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-text-input">Nome:</label>
                      <input type="text" class="form-control" id="example-text-input" name="nome" value="{{$estudante->nome}}" placeholder="Nome do Estudante" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-email-input">Data de Nascimento:</label>
                      <input type="date" class="form-control" id="example-email-input" name="dataNascimento" value="{{$estudante->dataNascimento}}" placeholder="Email do Estudante" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Província de Nascimento:</label>
                      <input type="text" class="form-control" id="example-password-input" name="provinciaNascimento" value="{{$estudante->provinciaNascimento}}" placeholder="Número de Telemóvel" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Município de Nascimento:</label>
                      <input type="text" class="form-control" id="example-password-input" name="municipioNascimento" value="{{$estudante->municipioNascimento}}" placeholder="Cidade onde mora" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Naturalidade:</label>
                      <input type="text" class="form-control" id="example-password-input" name="naturalidade" value="{{$estudante->naturalidade}}" placeholder="24971563792" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">CPF:</label>
                      <input type="text" class="form-control" id="example-password-input" name="numeroBilhete" value="{{$estudante->numeroBilhete}}" placeholder="01310-000" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Nome do Pai:</label>
                      <input type="text" class="form-control" id="example-password-input" name="nomePai" value="{{$estudante->nomePai}}" placeholder="01310-000" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Nome da Mãe:</label>
                      <input type="text" class="form-control" id="example-password-input" name="nomeMae" value="{{$estudante->nomeMae}}" placeholder="01310-000" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Data Emissao Bilhete:</label>
                      <input type="date" class="form-control" id="example-password-input" name="dataEmissaoBilhete" value="{{$estudante->dataEmissaoBilhete}}" placeholder="01310-000" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Sexo:</label>
                      <input type="text" class="form-control" id="example-password-input" name="sexo" value="{{$estudante->sexo}}" placeholder="01310-000" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Morada:</label>
                      <input type="text" class="form-control" id="example-password-input" name="morada" value="{{$estudante->morada}}" placeholder="01310-000" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Bairro:</label>
                      <input type="text" class="form-control" id="example-password-input" name="bairro" value="{{$estudante->bairro}}" placeholder="01310-000" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Nome Encarregado:</label>
                      <input type="text" class="form-control" id="example-password-input" name="nomeEncarregado" value="{{$estudante->nomeEncarregado}}" placeholder="01310-000" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Relacao Com Encarregado:</label>
                      <input type="text" class="form-control" id="example-password-input" name="relacaoComEncarregado" value="{{$estudante->relacaoComEncarregado}}" placeholder="01310-000" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Número Encarregado:</label>
                      <input type="text" class="form-control" id="example-password-input" name="numeroEncarregado" value="{{$estudante->numeroEncarregado}}" placeholder="01310-000" required>
                    </div>

                    
                   
                  </div>
                </div>
                
                <center> <a type="submit"> <button type="submit" class="btn btn-primary m-1">
                  <i class="fa fa-fw fa-user-plus opacity-50 me-1"></i> Atualizar Estudante
                </button>  </a> </center>
                <br>
              
              </form>
            </div>
          </div>
          <!-- END Elements -->
        </div>
       
        <!-- END Page Content -->
      </main>
      <!-- END Main Container -->

  @endsection
