@extends('layouts.app')

@section('conteudo')
 
  
  <div class="content">
          <!-- Quick Actions -->
          <div class="row items-push">
            <div class="col-6">
              <a class="block block-rounded block-link-shadow text-center h-100 mb-0" href="/editar_estudante/{{$estudante->id}}">
                <div class="block-content py-5">
                  <div class="fs-3 fw-semibold mb-1">
                    <i class="fa fa-pencil-alt"></i>
                  </div>
                  <p class="fw-semibold fs-sm text-muted text-uppercase mb-0">
                    Editar Estudante
                  </p>
                </div>
              </a>
            </div>
            <div class="col-6">
              <a class="block block-rounded block-link-shadow text-center h-100 mb-0" href="/eliminar_estudante/{{$estudante->id}}">
                <div class="block-content py-5">
                  <div class="fs-3 fw-semibold text-danger mb-1">
                    <i class="fa fa-times"></i>
                  </div>
                  <p class="fw-semibold fs-sm text-danger text-uppercase mb-0">
                    Eliminar Estudante
                  </p>
                </div>
              </a>
            </div>
          </div>
          <!-- END Quick Actions -->

          <!-- User Info -->
          <div class="block block-rounded">
            <div class="block-content text-center">
              <div class="py-4">
                <div class="mb-3">
                  <img class="img-avatar img-avatar96" src="{{$estudante->foto}}" alt="">
                </div>
                <h1 class="fs-lg mb-0">
                  {{$estudante->nome}}
                </h1>
                <p class="text-muted">
                  <i class="fa fa-award text-warning me-1"></i>
                  Estudante
                </p>
              </div>
            </div>
            <div class="block-content bg-body-light text-center">
              <div class="row items-push text-uppercase">
                <div class="col-6 col-md-3">
                  <div class="fw-semibold text-dark mb-1">CPF</div>
                  <a class="link-fx fs-3" href="javascript:void(0)">{{$estudante->numeroBilhete}}</a>
                </div>
                <div class="col-6 col-md-3">
                  <div class="fw-semibold text-dark mb-1">Data Nascimento</div>
                  <a class="link-fx fs-3" href="javascript:void(0)">{{$estudante->dataNascimento}}</a>
                </div>
                <div class="col-6 col-md-3">
                  <div class="fw-semibold text-dark mb-1">Sexo</div>
                  <a class="link-fx fs-3" href="javascript:void(0)">{{$estudante->sexo}}</a>
                </div>
                <div class="col-6 col-md-3">
                  <div class="fw-semibold text-dark mb-1">Classe</div>
                  <a class="link-fx fs-3" href="javascript:void(0)">{{$estudante->classeActual}}</a>
                </div>
              </div>
            </div>
          </div>
          <!-- END User Info -->

          <!-- Addresses -->
          <div class="block block-rounded">
            <div class="block-header block-header-default">
              <h3 class="block-title">Contactos</h3>
            </div>
            <div class="block-content">
              <div class="row">
                <div class="col-lg-6">
                  <!-- Billing Address -->
                  <div class="block block-rounded block-bordered">
                    <div class="block-header border-bottom">
                      <h3 class="block-title">Encarregados</h3>
                    </div>
                    <div class="block-content">
                     
                      <address class="fs-sm">
                        Pai: {{$estudante->nomePai}}<br>
                        Mãe: {{$estudante->nomeMae}}<br>
                        Encarregado: {{$estudante->nomeEncarregado}}<br><br>
                        <i class="fa fa-phone"></i> {{$estudante->numeroEncarregado}}<br>
               
                      </address>
                    </div>
                  </div>
                  <!-- END Billing Address -->
                </div>
                <div class="col-lg-6">
                  <!-- Shipping Address -->
                  <div class="block block-rounded block-bordered">
                    <div class="block-header border-bottom">
                      <h3 class="block-title">Endereço</h3>
                    </div>
                    <div class="block-content">
                      <address class="fs-sm">
                        {{$estudante->provinciaNascimento}}<br>
                        {{$estudante->municipioNascimento}}<br>
                        {{$estudante->morada}}<br><br>
                         {{$estudante->naturalidade}}<br>
                      </address>
                    </div>
                  </div>
                  <!-- END Shipping Address -->
                </div>
              </div>
            </div>
          </div>
          <!-- END Addresses -->

           
          
 
        </div>
        <!-- END Page Content -->

    @endsection