@extends('layouts.app1')

@section('content')

<!-- Main Container -->
      <main id="main-container">

        <!-- Hero -->
        <div class="bg-body-light">
          <div class="content content-full">
            <div class="d-flex flex-column flex-sm-row justify-content-sm-between align-items-sm-center">
              <h1 class="flex-grow-1 fs-3 fw-semibold my-2 my-sm-3">Formulário de Professor</h1>
              <nav class="flex-shrink-0 my-2 my-sm-0 ms-sm-3" aria-label="breadcrumb">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item">Formulário</li>
                  <li class="breadcrumb-item active" aria-current="page">Registrar Novo Professor</li>
                </ol>
              </nav>
            </div>
          </div>
        </div>
        <!-- END Hero -->

      
        <!-- Page Content -->
        <div class="content">
          <!-- Elements -->
          <div class="block block-rounded">
            <div class="block-header block-header-default">
              <h3 class="block-title">Registrar Novo Professor</h3>
            </div>
            <div class="block-content">
              <form action="/salvar_professor" method="POST" enctype="multipart/form-data">
                @csrf
                <!-- Basic Elements -->
                <h2 class="content-heading pt-0">Dados do Professor</h2>
                <div class="row push">
                  <div class="col-lg-4">
                    <p class="text-muted">
                      Cadastre um novo Professor no sistema
                    </p>
                  </div>
                  <div class="col-lg-8 col-xl-5">
                    <div class="mb-4">
                      <label class="form-label" for="example-text-input">Foto:</label>
                      <input type="file" class="form-control" id="example-text-input" name="foto" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-text-input">Nome:</label>
                      <input type="text" class="form-control" id="example-text-input" name="nome" placeholder="Nome do Professor" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-email-input">Data de Nascimento:</label>
                      <input type="date" class="form-control" id="example-email-input" name="dataNascimento" placeholder="Email do Professor" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Província de Nascimento:</label>
                      <input type="text" class="form-control" id="example-password-input" name="localNascimento" placeholder="Número de Telemóvel" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Estado Civil:</label>
                      <input type="text" class="form-control" id="example-password-input" name="estadoCivil" placeholder="24971563792" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">CPF:</label>
                      <input type="text" class="form-control" id="example-password-input" name="numeroBilhete" placeholder="01310-000" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Morada:</label>
                      <input type="text" class="form-control" id="example-password-input" name="morada" placeholder="01310-000" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Nível Acadêmico:</label>
                      <input type="text" class="form-control" id="example-password-input" name="nivelAcademico" placeholder="01310-000" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Nº de Agente:</label>
                      <input type="text" class="form-control" id="example-password-input" name="numeroAgente" placeholder="01310-000" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Bairro:</label>
                      <input type="date" class="form-control" id="example-password-input" name="bairro" placeholder="01310-000" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Sexo:</label>
                      <input type="text" class="form-control" id="example-password-input" name="sexo" placeholder="01310-000" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Função:</label>
                      <input type="text" class="form-control" id="example-password-input" name="funcao_id" placeholder="01310-000" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Email:</label>
                      <input type="text" class="form-control" id="example-password-input" name="email" placeholder="01310-000" required>
                    </div>
                    <div class="mb-4">
                      <label class="form-label" for="example-password-input">Senha:</label>
                      <input type="text" class="form-control" id="example-password-input" name="senha" placeholder="01310-000" required>
                    </div>  
                   
                  </div>
                </div>
                
                <center> <a type="submit"> <button type="submit" class="btn btn-primary m-1">
                  <i class="fa fa-fw fa-user-plus opacity-50 me-1"></i> Salvar Professor
                </button>  </a> </center>
                <br>
              
              </form>
            </div>
          </div>
          <!-- END Elements -->
        </div>
       
        <!-- END Page Content -->
      </main>
      <!-- END Main Container -->

  @endsection
