@extends('layouts.app')

@section('conteudo')

<div class="spinner1" id="spinner-div">
  <img src="/images/loader1.gif">
</div>
 
 <!-- Hero -->
        <div class="bg-image" style="background-image: url('');">
          <div class="bg-black-50">
            <div class="content content-full">
              <div class="d-flex justify-content-between align-items-center">
                <h1 class="flex-grow-1 fs-2 text-white my-2">
                  <i class="fa fa-boxes text-white-50 me-1"></i> Projetos
                </h1>
                <a class="btn btn-primary my-2" href="/projetos">
                  <i class="fa fa-fw fa-list"></i>
                  <span class="d-none d-sm-inline ms-1">Listar Projetos</span>
                </a>
              </div>
            </div>
          </div>
        </div>
        <!-- END Hero -->
  
  <div class="content">
          <!-- Elements -->
          <div class="block block-rounded">
            <div class="block-header block-header-default">
              <h3 class="block-title">Registrar Nova Projeto</h3>
            </div>
            <div class="block-content">

            <div class="row">
             
                <div class="col-lg-12 space-y-6">

                  <!-- Form Inline - Alternative Style -->
                  <form action="/salvar_projeto" method="POST" enctype="multipart/form-data" id="addProjetoForm">
                  	<div class="row row-cols-lg-auto g-4 align-items-center">
                  	@csrf
                   
                 
                    <div class="col-12">
                      <label class="form-label" for="example-select">Organização</label>
                      <select class="form-select" id="organizacao_id" name="organizacao_id">
                      	@foreach($organizacoes as $item)
                        <option selected value="{{$item->id}}">{{$item->nome}}</option>
                        @endforeach
                         
                      </select>
                    </div>
                    <div class="col-12">
                      <label class="form-label" for="example-select">Tipo de Segmento</label>
                      <select class="form-select" id="tipo_segmento" name="tipo_segmento">
                        <option value="Normal">Normal</option>
                        <option value="Agrupamento">Agrupamento</option>
                        <option value="Eletivo">Eletivo</option>
            
                      </select>
                    </div>                    <div class="col-12">
                    	<label class="form-label" for="example-select">Descrição</label>
                      <input type="text" class="form-control" id="descricao" name="descricao" placeholder="Descrição" required>
                    </div>
                    <div class="col-12">
                    	<label class="form-label" for="example-select">Sigla</label>
                      <input type="text" class="form-control" id="sigla" name="sigla" placeholder="Sigla">
                    </div>

                    <div class="mb-4">
                  
                      <div class="space-x-2">
                        <div class="form-check form-check-inline">
                          <input class="form-check-input" type="checkbox" id="inativo" name="inativo">
                          <label class="form-check-label" for="example-checkbox-inline1">Inativo</label>
                        </div>
                        <div class="form-check form-check-inline">
                          <input class="form-check-input" type="checkbox" id="listar" name="listar" checked>
                          <label class="form-check-label" for="example-checkbox-inline2">Listar</label>
                        </div>
                      </div>
                    </div>

                    <div class="mb-4">
                      <label class="form-label" for="example-input">Observações</label>
                      <textarea class="form-control" id="observacoes" name="observacoes" rows="4" placeholder="Observações..." required></textarea>
                    </div>


                     
                  </div>
                   <hr>
                   <center> <a type="submit"> <button type="submit" class="btn btn-primary m-1 salvar_projeto_form">
                  <i class="fa fa-fw fa-user-plus opacity-50 me-1"></i> Salvar Projeto
                </button>  </a> </center>
                

                <div class="errMsgContainer mb-3">

                </div>

                  </form>
                  <!-- END Form Inline - Alternative Style -->
                
              </div>
              <!-- END Inline Layout -->


              
            </div>
          </div>
          <!-- END Elements -->
        </div>

@endsection



<script src="/js/jquery-3.4.1.min.js"></script>
    <script src="/js/main.js"></script>


    {{-- -------------------------------- A J A X --}}

<script>

  

    // ========================================== SALVAR ORGANIZAÇÃO =====================
    $(document).ready(function() {
        // alert();
        $("#spinner-div").hide(); //Request is complete so hide spinner


        $(document).on('click', '.salvar_projeto_form', function(e) {
            e.preventDefault();
            $('.errMsgContainer').html("");
            // alert('chegou');
            $("#spinner-div").show(); //Request is complete so hide spinner
           

            let tipo_segmento = $('#tipo_segmento').val();
            let organizacao_id = $('#organizacao_id').val();
            let descricao = $('#descricao').val();
            let sigla = $('#sigla').val();
            let observacoes = $('#observacoes').val();
            let inativo = $('#inativo').val();
            let listar = $('#listar').val();

            $.ajax({
                method: 'post',
                url: "salvar_projeto",
                data: {
                    tipo_segmento: tipo_segmento,
                    organizacao_id: organizacao_id,
                    descricao: descricao,
                    sigla: sigla,
                    observacoes: observacoes,
                    inativo: inativo,
                    listar: listar,
                },
                success: function(res) {
                  $("#spinner-div").hide(); //Request is complete so hide spinner
                    if (res.status == 'success') {
                        $('#addProjetoForm')[0].reset();

                        Swal.fire({
                            position: 'top-end',
                            icon: 'success',
                            title: 'Projeto Criado com Sucesso',
                            showConfirmButton: false,
                            timer: 2500
                        })

                        window.location = '/projetos';
                    }
                },
                error:function(err){

                  $("#spinner-div").hide(); //Request is complete so hide spinner

                    Swal.fire({
                        icon: 'warning',
                        title: 'Ups!...',
                        text: 'Certifique-se de que preencheu todos os campos corretamente!',
                    })

                    let error = err.responseJSON;

                    $.each(error.errors, function(index, value){
                        $('.errMsgContainer').append('<br><span class="text-danger">' + value + '</span>');
                        console.log(value);
                    }

                    )
                    console.log(error);
                }

            });
        })

      

    });
</script>
