@extends('layouts.app')

@section('conteudo')

<br>
<center>    
        @if (session('erro'))
          <div class="alert alert-danger">
              {{ session('erro') }}
          </div>
      @endif
    </center>
  

        <!-- Hero -->
        <div class="bg-dark bg-image" style="background-image: url('{{$projeto->logotipo}}');">
          <div class="bg-black-75">
            <div class="content content-full content-top">
              <div class="py-4 text-center">
                <h1 class="fw-bold text-white mb-2">
                  {{$projeto->sigla}}
                </h1>
                <h2 class="h3 fw-normal text-white-75">
                  {{$projeto->descricao}}
                </h2>
                <a class="btn btn-hero btn-primary" href="/editar_projeto/{{$projeto->id}}" data-toggle="click-ripple">
                  <i class="fa fa-pencil-alt text-info"></i> Editar Projeto
                </a>
              </div>
            </div>
          </div>
        </div>
        <!-- END Hero -->

        <!-- Page Content -->
        <div class="content content-boxed">
          <!-- Meta -->
          <div class="row items-push">
            <div class="col-md-6">
               <div class="block block-rounded">
                <div class="block-header block-header-default">
                  <h3 class="block-title">Observações</h3>
                </div>
                <div class="block-content">
                  <div class="fs-4 mb-1">{{$projeto->observacoes}}</div>
 
                </div>
              </div>
            </div>
            <div class="col-md-6">
              <div class="block block-rounded block-bordered block-link-shadow h-100 mb-0">
                <div class="block-content">
                  <table class="table table-borderless table-striped">
                    <tbody>
                      <tr>
                        <td>
                          <span class="text-warning">
                            <i class="fa fa-fw fa-star"></i>
                          </span>
                          <span class="fw-medium text-muted">Tipo: {{$projeto->tipo_segmento}}</span>
                        </td>
                      </tr>
                      <tr>
                        <td class="fw-medium text-muted">
                          <i class="fa fa-fw fa-heart me-1 text-danger"></i> Inativo: {{$projeto->inativo}}
                        </td>
                      </tr>
                      <tr>
                        <td class="fw-medium text-muted">
                          <i class="fa fa-fw fa-calendar me-1"></i> Autorização: {{$projeto->autorizacao}}
                        </td>
                      </tr>
                      <tr>
                        <td class="fw-medium text-muted">
                          <i class="fa fa-fw fa-shopping-basket me-1"></i> Criação: {{$projeto->created_at}}
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
          <!-- END Meta -->
  
         


              <!-- Listagem de turmas -->
          <div class="block block-rounded">
            <div class="block-header block-header-default">
              <h3 class="block-title">Turmas Pertencentes a {{$projeto->nome}}</h3>
              <div class="block-options">
                	<a href="/registar_turma"> <button type="button" class="btn btn-alt-primary">
                    + Criar Nova Turma 
                    </button> </a>
                </div>
              </div>
            </div>
       
            <div class="block-content">
              <!-- All Products Table -->
              <div class="table-responsive">
                <table class="table table-borderless table-striped table-vcenter">
                  <thead>
                    <tr>
                      <th class="text-center" style="width: 100px;">ID</th>
                      <th class="d-none d-sm-table-cell text-center">Descrição</th>
                      <th class="d-none d-sm-table-cell text-center">Período</th>
                      <th class="d-none d-md-table-cell">carga_horária</th>
                      <th class="text-center">Ação</th>
                    </tr>
                  </thead>
                  <tbody>
                  	@foreach($turmas as $item)
                    <tr>
                      <td class="text-center fs-sm">
                          <strong>{{$item->id}}</strong>
                      </td>
                      <td class="text-center fs-sm">
                          <strong>{{$item->descricao}}</strong>
                      </td>
                      <td class="d-none d-sm-table-cell text-center fs-sm">{{$item->periodo}}</td>
                      <td class="d-none d-md-table-cell fs-sm">
                      {{$item->carga_horaria_turma}}
                      </td>
                    
                      <td class="text-center fs-sm">
                        <a class="btn btn-sm btn-alt-secondary" href="/visualizar_turma/{{$item->id}}">
                          <i class="fa fa-fw fa-eye"></i>
                        </a>
                       
                      </td>
                    </tr>
                    @endforeach
                     
                  </tbody>
                </table>
              </div>
              <!-- END All Turmas Table -->


              <!-- Pagination -->
              <nav aria-label="Photos Search Navigation">
                <ul class="pagination justify-content-end mt-2">
                  <li class="page-item">
                    <a class="page-link" href="javascript:void(0)" tabindex="-1" aria-label="Previous">
                      Prev
                    </a>
                  </li>
                  <li class="page-item active">
                    <a class="page-link" href="javascript:void(0)">1</a>
                  </li>
                  <li class="page-item">
                    <a class="page-link" href="javascript:void(0)">2</a>
                  </li>
                  <li class="page-item">
                    <a class="page-link" href="javascript:void(0)">3</a>
                  </li>
                  <li class="page-item">
                    <a class="page-link" href="javascript:void(0)">4</a>
                  </li>
                  <li class="page-item">
                    <a class="page-link" href="javascript:void(0)" aria-label="Next">
                      Next
                    </a>
                  </li>
                </ul>
              </nav>
              <!-- END Pagination -->
            </div>
          </div>
          <!-- END All Products -->



          <!-- Lessons -->
          <div class="block block-rounded block-bordered">
            <div class="block-content">
              <table class="table table-striped table-borderless table-vcenter">
                <tbody>
                  <tr>
                    <td class="text-center w-25 d-none d-md-table-cell">
                      <a class="item item-circle bg-primary text-white fs-2 mx-auto" href="javascript:void(0)">
                        01
                      </a>
                    </td>
                    <td>
                      <div class="py-4">
                        <div class="fs-sm fw-bold text-uppercase mb-2">
                          <span class="text-muted me-3">Episode 1</span>
                          <span class="text-primary">
                            <i class="fa fa-clock"></i> 20:52
                          </span>
                        </div>
                        <a class="link-fx h4 mb-2 d-inline-block text-dark" href="javascript:void(0)">
                          Introduction to Flexbox
                        </a>
                        <p class="text-muted mb-0">
                          Ligula hendrerit nibh, ac cursus nibh sapien in purus. Mauris tincidunt tincidunt turpis in porta. Integer fermentum tincidunt auctor. Vestibulum ullamcorper, odio sed rhoncus imperdiet, enim elit sollicitudin orci, eget dictum leo mi nec lectus.
                        </p>
                      </div>
                    </td>
                  </tr>
                  <tr>
                    <td class="text-center w-25 d-none d-md-table-cell">
                      <a class="item item-circle bg-primary text-white fs-2 mx-auto" href="javascript:void(0)">
                        02
                      </a>
                    </td>
                    <td>
                      <div class="py-4">
                        <div class="fs-sm fw-bold text-uppercase mb-2">
                          <span class="text-muted me-3">Episode 2</span>
                          <span class="text-primary">
                            <i class="fa fa-clock"></i> 11:03
                          </span>
                        </div>
                        <a class="link-fx h4 mb-2 d-inline-block text-dark" href="javascript:void(0)">
                          Grid vs Flexbox
                        </a>
                        <p class="text-muted mb-0">
                          Ligula hendrerit nibh, ac cursus nibh sapien in purus. Mauris tincidunt tincidunt turpis in porta. Integer fermentum tincidunt auctor. Vestibulum ullamcorper, odio sed rhoncus imperdiet, enim elit sollicitudin orci, eget dictum leo mi nec lectus.
                        </p>
                      </div>
                    </td>
                  </tr>
                  <tr>
                    <td class="text-center w-25 d-none d-md-table-cell">
                      <a class="item item-circle bg-primary text-white fs-2 mx-auto" href="javascript:void(0)">
                        03
                      </a>
                    </td>
                    <td>
                      <div class="py-4">
                        <div class="fs-sm fw-bold text-uppercase mb-2">
                          <span class="text-muted me-3">Episode 3</span>
                          <span class="text-primary">
                            <i class="fa fa-clock"></i> 17:23
                          </span>
                        </div>
                        <a class="link-fx h4 mb-2 d-inline-block text-dark" href="javascript:void(0)">
                          Component Design
                        </a>
                        <p class="text-muted mb-0">
                          Ligula hendrerit nibh, ac cursus nibh sapien in purus. Mauris tincidunt tincidunt turpis in porta. Integer fermentum tincidunt auctor. Vestibulum ullamcorper, odio sed rhoncus imperdiet, enim elit sollicitudin orci, eget dictum leo mi nec lectus.
                        </p>
                      </div>
                    </td>
                  </tr>
                  <tr>
                    <td class="text-center w-25 d-none d-md-table-cell">
                      <a class="item item-circle bg-primary text-white fs-2 mx-auto" href="javascript:void(0)">
                        04
                      </a>
                    </td>
                    <td>
                      <div class="py-4">
                        <div class="fs-sm fw-bold text-uppercase mb-2">
                          <span class="text-muted me-3">Episode 4</span>
                          <span class="text-primary">
                            <i class="fa fa-clock"></i> 32:15
                          </span>
                        </div>
                        <a class="link-fx h4 mb-2 d-inline-block text-dark" href="javascript:void(0)">
                          Refactoring to Utility Classes
                        </a>
                        <p class="text-muted mb-0">
                          Ligula hendrerit nibh, ac cursus nibh sapien in purus. Mauris tincidunt tincidunt turpis in porta. Integer fermentum tincidunt auctor. Vestibulum ullamcorper, odio sed rhoncus imperdiet, enim elit sollicitudin orci, eget dictum leo mi nec lectus.
                        </p>
                      </div>
                    </td>
                  </tr>
                  <tr>
                    <td class="text-center w-25 d-none d-md-table-cell">
                      <a class="item item-circle bg-primary text-white fs-2 mx-auto" href="javascript:void(0)">
                        05
                      </a>
                    </td>
                    <td>
                      <div class="py-4">
                        <div class="fs-sm fw-bold text-uppercase mb-2">
                          <span class="text-muted me-3">Episode 5</span>
                          <span class="text-primary">
                            <i class="fa fa-clock"></i> 21:33
                          </span>
                        </div>
                        <a class="link-fx h4 mb-2 d-inline-block text-dark" href="javascript:void(0)">
                          Basic Layouts
                        </a>
                        <p class="text-muted mb-0">
                          Ligula hendrerit nibh, ac cursus nibh sapien in purus. Mauris tincidunt tincidunt turpis in porta. Integer fermentum tincidunt auctor. Vestibulum ullamcorper, odio sed rhoncus imperdiet, enim elit sollicitudin orci, eget dictum leo mi nec lectus.
                        </p>
                      </div>
                    </td>
                  </tr>
                  <tr>
                    <td class="text-center w-25 d-none d-md-table-cell">
                      <a class="item item-circle bg-primary text-white fs-2 mx-auto" href="javascript:void(0)">
                        06
                      </a>
                    </td>
                    <td>
                      <div class="py-4">
                        <div class="fs-sm fw-bold text-uppercase mb-2">
                          <span class="text-muted me-3">Episode 6</span>
                          <span class="text-primary">
                            <i class="fa fa-clock"></i> 17:26
                          </span>
                        </div>
                        <a class="link-fx h4 mb-2 d-inline-block text-dark" href="javascript:void(0)">
                          Navigation Patterns
                        </a>
                        <p class="text-muted mb-0">
                          Ligula hendrerit nibh, ac cursus nibh sapien in purus. Mauris tincidunt tincidunt turpis in porta. Integer fermentum tincidunt auctor. Vestibulum ullamcorper, odio sed rhoncus imperdiet, enim elit sollicitudin orci, eget dictum leo mi nec lectus.
                        </p>
                      </div>
                    </td>
                  </tr>
                  <tr>
                    <td class="text-center w-25 d-none d-md-table-cell">
                      <a class="item item-circle bg-primary text-white fs-2 mx-auto" href="javascript:void(0)">
                        07
                      </a>
                    </td>
                    <td>
                      <div class="py-4">
                        <div class="fs-sm fw-bold text-uppercase mb-2">
                          <span class="text-muted me-3">Episode 7</span>
                          <span class="text-primary">
                            <i class="fa fa-clock"></i> 19:18
                          </span>
                        </div>
                        <a class="link-fx h4 mb-2 d-inline-block text-dark" href="javascript:void(0)">
                          Pricing Tables
                        </a>
                        <p class="text-muted mb-0">
                          Ligula hendrerit nibh, ac cursus nibh sapien in purus. Mauris tincidunt tincidunt turpis in porta. Integer fermentum tincidunt auctor. Vestibulum ullamcorper, odio sed rhoncus imperdiet, enim elit sollicitudin orci, eget dictum leo mi nec lectus.
                        </p>
                      </div>
                    </td>
                  </tr>
                  <tr>
                    <td class="text-center w-25 d-none d-md-table-cell">
                      <a class="item item-circle bg-primary text-white fs-2 mx-auto" href="javascript:void(0)">
                        08
                      </a>
                    </td>
                    <td>
                      <div class="py-4">
                        <div class="fs-sm fw-bold text-uppercase mb-2">
                          <span class="text-muted me-3">Episode 8</span>
                          <span class="text-primary">
                            <i class="fa fa-clock"></i> 23:02
                          </span>
                        </div>
                        <a class="link-fx h4 mb-2 d-inline-block text-dark" href="javascript:void(0)">
                          Ads design
                        </a>
                        <p class="text-muted mb-0">
                          Ligula hendrerit nibh, ac cursus nibh sapien in purus. Mauris tincidunt tincidunt turpis in porta. Integer fermentum tincidunt auctor. Vestibulum ullamcorper, odio sed rhoncus imperdiet, enim elit sollicitudin orci, eget dictum leo mi nec lectus.
                        </p>
                      </div>
                    </td>
                  </tr>
                  <tr>
                    <td class="text-center w-25 d-none d-md-table-cell">
                      <a class="item item-circle bg-primary text-white fs-2 mx-auto" href="javascript:void(0)">
                        09
                      </a>
                    </td>
                    <td>
                      <div class="py-4">
                        <div class="fs-sm fw-bold text-uppercase mb-2">
                          <span class="text-muted me-3">Episode 9</span>
                          <span class="text-primary">
                            <i class="fa fa-clock"></i> 12:15
                          </span>
                        </div>
                        <a class="link-fx h4 mb-2 d-inline-block text-dark" href="javascript:void(0)">
                          Mobile-First Design
                        </a>
                        <p class="text-muted mb-0">
                          Ligula hendrerit nibh, ac cursus nibh sapien in purus. Mauris tincidunt tincidunt turpis in porta. Integer fermentum tincidunt auctor. Vestibulum ullamcorper, odio sed rhoncus imperdiet, enim elit sollicitudin orci, eget dictum leo mi nec lectus.
                        </p>
                      </div>
                    </td>
                  </tr>
                  <tr>
                    <td class="text-center w-25 d-none d-md-table-cell">
                      <a class="item item-circle bg-primary text-white fs-2 mx-auto" href="javascript:void(0)">
                        10
                      </a>
                    </td>
                    <td>
                      <div class="py-4">
                        <div class="fs-sm fw-bold text-uppercase mb-2">
                          <span class="text-muted me-3">Episode 10</span>
                          <span class="text-primary">
                            <i class="fa fa-clock"></i> 18:69
                          </span>
                        </div>
                        <a class="link-fx h4 mb-2 d-inline-block text-dark" href="javascript:void(0)">
                          Conclusions
                        </a>
                        <p class="text-muted mb-0">
                          Ligula hendrerit nibh, ac cursus nibh sapien in purus. Mauris tincidunt tincidunt turpis in porta. Integer fermentum tincidunt auctor. Vestibulum ullamcorper, odio sed rhoncus imperdiet, enim elit sollicitudin orci, eget dictum leo mi nec lectus.
                        </p>
                      </div>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
          <!-- END Lessons -->
        </div>
        <!-- END Page Content -->
   

    @endsection