@extends('layouts.app')

@section('conteudo')
 

 <div class="spinner1" id="spinner-div">
  <img src="/images/loader1.gif">
</div>

 <!-- Hero -->
        <div class="bg-image" style="background-image: url('');">
          <div class="bg-black-50">
            <div class="content content-full">
              <div class="d-flex justify-content-between align-items-center">
                <h1 class="flex-grow-1 fs-2 text-white my-2">
                  <i class="fa fa-boxes text-white-50 me-1"></i> Turmas
                </h1>
                <a class="btn btn-primary my-2" href="/turmas">
                  <i class="fa fa-fw fa-list"></i>
                  <span class="d-none d-sm-inline ms-1">Listar Turmas</span>
                </a>
              </div>
            </div>
          </div>
        </div>
        <!-- END Hero -->
  
  <div class="content">
          <!-- Elements -->
          <div class="block block-rounded">
            <div class="block-header block-header-default">
              <h3 class="block-title">Registrar Nova Turma</h3>
            </div>
            <div class="block-content">

            <div class="row">
             
                <div class="col-lg-12 space-y-6">

                  <!-- Form Inline - Alternative Style -->
                  <form action="/salvar_serie" method="POST" enctype="multipart/form-data" id="addTurmaForm">
                    @csrf
                    <div class="row row-cols-lg-auto g-4 align-items-center">
                    
                   
                   <div class="col-12">
                      <label class="form-label" for="example-select">Descrição</label>
                      <input type="text" class="form-control" id="descricao" name="descricao" placeholder="Descrição" required>
                    </div>

                    <div class="col-12">
                      <label class="form-label" for="example-select">Projeto</label>
                      <select class="form-select" id="projeto_id" name="projeto_id">
                        @foreach($projetos as $item)
                        <option selected value="{{$item->id}}">{{$item->sigla}}</option>
                        @endforeach
            
                      </select>
                    </div>
                 
                    <div class="col-12">
                      <label class="form-label" for="example-select">Ordem (relativo ao Projeto)</label>
                      <select class="form-select" id="ordem" name="ordem">
                        <option selected value="1">1</option>
                        <option selected value="2">2</option>
                        <option selected value="3">3</option>
                        <option selected value="4">4</option>
                        <option selected value="5">5</option>
                        <option selected value="6">6</option>
                        
                         
                      </select>
                    </div>

                    <div class="col-12">
                      <label class="form-label" for="example-select">Situação</label>
                      <select class="form-select" id="situacao" name="situacao">
                        <option selected value="1">Ativa</option>
                        <option selected value="0">Inativa</option>
                         
                      </select>
                    </div>

                    </div>

                    <br>
                    <h1>Próximo</h1>

                    <div class="row row-cols-lg-auto g-4 align-items-center">

                    <div class="col-12">
                      <label class="form-label" for="example-select">Projeto</label>
                      <select class="form-select" id="proximo_projeto_id" name="proximo_projeto_id">
                        @foreach($projetos as $item)
                        <option selected value="{{$item->id}}">{{$item->sigla}}</option>
                        @endforeach
                         
                      </select>
                    </div>

              

                    </div>
                    
     
                  
                   <hr>
                   <center> <a type="submit"> <button type="submit" class="btn btn-primary m-1 salvar_turma_form">
                  <i class="fa fa-fw fa-user-plus opacity-50 me-1"></i> Salvar Turma
                </button>  </a> </center>

                <div class="errMsgContainer mb-3">

                </div>

                  </form>
                  <!-- END Form Inline - Alternative Style -->
                
              </div>
              <!-- END Inline Layout -->


              
            </div>
          </div>
          <!-- END Elements -->
        </div>

@endsection




<script src="/js/jquery-3.4.1.min.js"></script>
    <script src="/js/main.js"></script>


    {{-- -------------------------------- A J A X --}}

<script>

  

    // ========================================== SALVAR ORGANIZAÇÃO =====================
    $(document).ready(function() {
        // alert();
        $("#spinner-div").hide(); //Request is complete so hide spinner


        $(document).on('click', '.salvar_turma_form', function(e) {
            e.preventDefault();
            $('.errMsgContainer').html("");
            // alert('chegou');
            $("#spinner-div").show(); //Request is complete so hide spinner
           

            let descricao = $('#descricao').val();
            let ordem = $('#ordem').val();
            let situacao = $('#situacao').val();
            let projeto_id = $('#projeto_id').val();
            let proximo_projeto_id = $('#proximo_projeto_id').val();


            $.ajax({
                method: 'post',
                url: "salvar_turma",
                data: {
                    descricao: descricao,
                    ordem: ordem,
                    situacao: situacao,
                    projeto_id: projeto_id,
                    proximo_projeto_id: proximo_projeto_id,
                },
                success: function(res) {
                  $("#spinner-div").hide(); //Request is complete so hide spinner
                    if (res.status == 'success') {
                        $('#addTurmaForm')[0].reset();

                        Swal.fire({
                            position: 'top-end',
                            icon: 'success',
                            title: 'Turma Criada com Sucesso',
                            showConfirmButton: false,
                            timer: 2500
                        })

                        window.location = '/turmas';
                    }
                },
                error:function(err){

                  $("#spinner-div").hide(); //Request is complete so hide spinner

                    Swal.fire({
                        icon: 'warning',
                        title: 'Ups!...',
                        text: 'Certifique-se de que preencheu todos os campos corretamente!',
                    })

                    let error = err.responseJSON;

                    $.each(error.errors, function(index, value){
                        $('.errMsgContainer').append('<br><span class="text-danger">' + value + '</span>');
                        console.log(value);
                    }

                    )
                    console.log(error);
                }

            });
        })

      

    });
</script>
