<?php

use Illuminate\Support\Facades\Route;

Route::get('/', 'App\Http\Controllers\appController@index');
Route::get('/index.html', 'App\Http\Controllers\appController@index')->middleware('auth');
Route::get('/logout', 'App\Http\Controllers\adminController@logout')->middleware('auth');
Route::get('/dashboard', 'App\Http\Controllers\adminController@dashboard')->middleware('auth')->middleware('auth');
// Route::get('/sair', 'App\Http\Controllers\[App\Http\Controllers\sintomasController::class, 'App\Http\Controllers\sair']')->middleware('auth');
Route::get('/registar', 'App\Http\Controllers\appController@registar')->middleware('auth');
Route::get('imagem', 'App\Http\Controllers\appController@imagem')->middleware('auth');
Route::get('/pesquisar', 'App\Http\Controllers\appController@pesquisar')->middleware('auth');
Route::post('/salvar_imagem', 'App\Http\Controllers\appController@action')->name('salvar_imagem')->middleware('auth');
Route::post('/pesquisar', 'App\Http\Controllers\appController@pesquisar')->middleware('auth');



Route::get('/anoLectivo', 'App\Http\Controllers\anoLectivoController@index')->middleware('auth');
Route::get('/registar_anoLectivo', 'App\Http\Controllers\anoLectivoController@create')->middleware('auth');
Route::get('/visualizar_anoLectivo/{id}', 'App\Http\Controllers\anoLectivoController@show')->middleware('auth');
Route::get('/editar_anoLectivo/{id}', 'App\Http\Controllers\anoLectivoController@edit')->middleware('auth');
Route::post('/actualizar_anoLectivo/{id}', 'App\Http\Controllers\anoLectivoController@update')->middleware('auth');
Route::get('/eliminar_anoLectivo/{id}', 'App\Http\Controllers\anoLectivoController@destroy')->middleware('auth');
Route::post('/salvar_anoLectivo', 'App\Http\Controllers\anoLectivoController@store')->middleware('auth');


Route::get('/matriculas', 'App\Http\Controllers\matriculasController@index')->middleware('auth');
Route::get('/registar_matricula', 'App\Http\Controllers\matriculasController@create')->middleware('auth');
Route::post('/registar_matriculas/{verificar}', 'App\Http\Controllers\matriculasController@verify')->middleware('auth');
Route::get('/registar_matriculas_por_id/{id}', 'App\Http\Controllers\matriculasController@verifyPorId')->middleware('auth');
Route::get('/visualizar_matricula/{id}', 'App\Http\Controllers\matriculasController@show')->middleware('auth');
Route::get('/editar_matricula/{id}', 'App\Http\Controllers\matriculasController@edit')->middleware('auth');
Route::post('/actualizar_matricula/{id}', 'App\Http\Controllers\matriculasController@update')->middleware('auth');
Route::get('/eliminar_matricula/{id}', 'App\Http\Controllers\matriculasController@destroy')->middleware('auth');
Route::post('/salvar_matricula', 'App\Http\Controllers\matriculasController@store')->middleware('auth');



Route::get('/categorias', 'App\Http\Controllers\categoriasController@index')->middleware('auth');
Route::get('/registar_categoria', 'App\Http\Controllers\categoriasController@create')->middleware('auth');
Route::get('/editar_categoria/{id}', 'App\Http\Controllers\categoriasController@edit')->middleware('auth');
Route::get('/visualizar_categoria/{id}', 'App\Http\Controllers\categoriasController@show')->middleware('auth');
Route::get('/eliminar_categoria/{id}', 'App\Http\Controllers\categoriasController@destroy')->middleware('auth');
Route::post('/actualizar_categoria/{id}', 'App\Http\Controllers\categoriasController@update')->middleware('auth');
Route::post('/salvar_categoria', 'App\Http\Controllers\categoriasController@store')->middleware('auth');




Route::get('/comunicados', 'App\Http\Controllers\comunicadosController@index')->middleware('auth');
Route::get('/registar_comunicado', 'App\Http\Controllers\comunicadosController@create')->middleware('auth');
Route::get('/editar_comunicado/{id}', 'App\Http\Controllers\comunicadosController@edit')->middleware('auth');
Route::get('/visualizar_comunicado/{id}', 'App\Http\Controllers\comunicadosController@show')->middleware('auth');
Route::get('/eliminar_comunicado/{id}', 'App\Http\Controllers\comunicadosController@destroy')->middleware('auth');
Route::post('/actualizar_comunicado/{id}', 'App\Http\Controllers\comunicadosController@update')->middleware('auth');
Route::post('/salvar_comunicado', 'App\Http\Controllers\comunicadosController@store')->middleware('auth');




Route::get('/periodos', 'App\Http\Controllers\periodosController@index')->middleware('auth');
Route::get('/registar_periodo', 'App\Http\Controllers\periodosController@create')->middleware('auth');
Route::get('/editar_periodo/{id}', 'App\Http\Controllers\periodosController@edit')->middleware('auth');
Route::get('/visualizar_periodo/{id}', 'App\Http\Controllers\periodosController@show')->middleware('auth');
Route::get('/eliminar_periodo/{id}', 'App\Http\Controllers\periodosController@destroy')->middleware('auth');
Route::post('/actualizar_periodo/{id}', 'App\Http\Controllers\periodosController@update')->middleware('auth');
Route::post('/salvar_periodo', 'App\Http\Controllers\periodosController@store')->middleware('auth');



Route::get('/visitantes', 'App\Http\Controllers\visitantesController@index')->middleware('auth');
Route::get('/registar_visitante', 'App\Http\Controllers\visitantesController@create')->middleware('auth');
Route::get('/editar_visitante/{id}', 'App\Http\Controllers\visitantesController@edit')->middleware('auth');
Route::get('/visualizar_visitante/{id}', 'App\Http\Controllers\visitantesController@show')->middleware('auth');
Route::get('/eliminar_visitante/{id}', 'App\Http\Controllers\visitantesController@destroy')->middleware('auth');
Route::post('/actualizar_visitante/{id}', 'App\Http\Controllers\visitantesController@update')->middleware('auth');
Route::post('/salvar_visitante', 'App\Http\Controllers\visitantesController@store')->middleware('auth');


Route::get('/responsaveis', 'App\Http\Controllers\responsaveisController@index')->middleware('auth');
Route::get('/registar_responsavel', 'App\Http\Controllers\responsaveisController@create')->middleware('auth');
Route::get('/editar_responsavel/{id}', 'App\Http\Controllers\responsaveisController@edit')->middleware('auth');
Route::get('/visualizar_responsavel/{id}', 'App\Http\Controllers\responsaveisController@show')->middleware('auth');
Route::get('/eliminar_responsavel/{id}', 'App\Http\Controllers\responsaveisController@destroy')->middleware('auth');
Route::post('/actualizar_responsavel/{id}', 'App\Http\Controllers\responsaveisController@update')->middleware('auth');
Route::post('/salvar_responsavel', 'App\Http\Controllers\responsaveisController@store')->middleware('auth');


Route::get('/documentos', 'App\Http\Controllers\documentosController@index')->middleware('auth');
Route::get('/registar_documento', 'App\Http\Controllers\documentosController@create')->middleware('auth');
Route::get('/editar_documento/{id}', 'App\Http\Controllers\documentosController@edit')->middleware('auth');
Route::get('/visualizar_documento/{id}', 'App\Http\Controllers\documentosController@show')->middleware('auth');
Route::post('/eliminar_documento', 'App\Http\Controllers\documentosController@destroy')->name('eliminar_documento');
Route::post('/actualizar_documento', 'App\Http\Controllers\documentosController@update')->name('actualizar_documento');
Route::post('/salvar_documento', 'App\Http\Controllers\documentosController@store')->name('salvar_documento');
Route::get('/pagination/paginate-data', 'App\Http\Controllers\documentosController@pagination');
Route::get('/search-document', 'App\Http\Controllers\documentosController@search')->name('search-document');



Route::get('/classes', 'App\Http\Controllers\classesController@index')->middleware('auth');
Route::get('/registar_classe', 'App\Http\Controllers\classesController@create')->middleware('auth');
Route::get('/visualizar_classe/{id}', 'App\Http\Controllers\classesController@show')->middleware('auth');
Route::get('/editar_classe/{id}', 'App\Http\Controllers\classesController@edit')->middleware('auth');
Route::get('/eliminar_classe/{id}', 'App\Http\Controllers\classesController@destroy')->middleware('auth');
Route::post('/actualizar_classe/{id}', 'App\Http\Controllers\classesController@update')->middleware('auth');
Route::post('/salvar_classe', 'App\Http\Controllers\classesController@store')->middleware('auth');


Route::get('/grades', 'App\Http\Controllers\gradesController@index')->middleware('auth');
Route::get('/registar_grade', 'App\Http\Controllers\gradesController@create')->middleware('auth');
Route::get('/visualizar_grade/{id}', 'App\Http\Controllers\gradesController@show')->middleware('auth');
Route::get('/editar_grade/{id}', 'App\Http\Controllers\gradesController@edit')->middleware('auth');
Route::get('/eliminar_grade/{id}', 'App\Http\Controllers\gradesController@destroy')->middleware('auth');
Route::post('/actualizar_grade/{id}', 'App\Http\Controllers\gradesController@update')->middleware('auth');
Route::post('/salvar_grade', 'App\Http\Controllers\gradesController@store')->middleware('auth');



Route::get('/funcoes', 'App\Http\Controllers\funcoesController@index')->middleware('auth');
Route::get('/registar_funcao', 'App\Http\Controllers\funcoesController@create')->middleware('auth');
Route::get('/editar_funcao/{id}', 'App\Http\Controllers\funcoesController@edit')->middleware('auth');
Route::get('/eliminar_funcao/{id}', 'App\Http\Controllers\funcoesController@destroy')->middleware('auth');
Route::get('/visualizar_funcao/{id}', 'App\Http\Controllers\funcoesController@show')->middleware('auth');
Route::post('/actualizar_funcao/{id}', 'App\Http\Controllers\funcoesController@update')->middleware('auth');
Route::post('/salvar_funcao', 'App\Http\Controllers\funcoesController@store')->middleware('auth');

Route::get('/notas', 'App\Http\Controllers\notasController@index')->middleware('auth');
Route::get('/registar_nota', 'App\Http\Controllers\notasController@create')->middleware('auth');
Route::post('/salvar_nota', 'App\Http\Controllers\notasController@store')->middleware('auth');
Route::get('/eliminar_nota/{id}', 'App\Http\Controllers\notasController@destroy')->middleware('auth');
Route::get('/editar_nota/{id}', 'App\Http\Controllers\notasController@edit')->middleware('auth');
Route::get('/visualizar_notas/{id}', 'App\Http\Controllers\notasController@notas')->middleware('auth');
Route::post('/actualizar_nota/{id}', 'App\Http\Controllers\notasController@update')->middleware('auth');
Route::get('/retornar_estudante/{id}', 'App\Http\Controllers\notasController@estudante')->middleware('auth');

Route::get('/medias', 'App\Http\Controllers\mediasController@index')->middleware('auth');
Route::get('/registar_media', 'App\Http\Controllers\mediasController@create')->middleware('auth');
Route::post('/salvar_media', 'App\Http\Controllers\mediasController@store')->middleware('auth');
Route::get('/visualizar_media/{id}', 'App\Http\Controllers\mediasController@show')->middleware('auth');
Route::get('/eliminar_media', 'App\Http\Controllers\mediasController@destroy')->middleware('auth');


Route::get('/horarios', 'App\Http\Controllers\turmasController@index')->middleware('auth');

Route::get('/turmas', 'App\Http\Controllers\turmasController@index')->middleware('auth');
Route::get('/registar_turma', 'App\Http\Controllers\turmasController@create')->middleware('auth');
Route::post('/salvar_turma', 'App\Http\Controllers\turmasController@store')->middleware('auth');
Route::get('/eliminar_turma/{id}', 'App\Http\Controllers\turmasController@destroy')->middleware('auth');
Route::get('/editar_turma/{id}', 'App\Http\Controllers\turmasController@edit')->middleware('auth');
Route::get('/visualizar_turma/{id}', 'App\Http\Controllers\turmasController@show')->middleware('auth');
Route::post('/actualizar_turma/{id}', 'App\Http\Controllers\turmasController@update')->middleware('auth');

Route::get('/pautas', 'App\Http\Controllers\pautasController@index')->middleware('auth');
Route::get('/pauta/{id}', 'App\Http\Controllers\pautasController@show')->middleware('auth');
Route::get('/registar_pauta', 'App\Http\Controllers\pautasController@create')->middleware('auth');
Route::post('/salvar_pauta', 'App\Http\Controllers\pautasController@store')->middleware('auth');
Route::get('/eliminar_pauta/{id}', 'App\Http\Controllers\pautasController@destroy')->middleware('auth');
Route::get('/editar_pauta/{id}', 'App\Http\Controllers\pautasController@edit')->middleware('auth');
Route::get('/visualizar_pauta/{id}', 'App\Http\Controllers\pautasController@show')->middleware('auth');
Route::post('/actualizar_pauta/{id}', 'App\Http\Controllers\pautasController@update')->middleware('auth');

Route::get('/minipautas', 'App\Http\Controllers\minipautasController@index')->middleware('auth');
Route::get('/minipauta/{id}', 'App\Http\Controllers\minipautasController@show')->middleware('auth');
Route::get('/minipautaP/{id}', 'App\Http\Controllers\minipautasController@showP')->middleware('auth');
Route::get('/minipautaS/{id}', 'App\Http\Controllers\minipautasController@showS')->middleware('auth');
Route::get('/registar_minipauta', 'App\Http\Controllers\minipautasController@create')->middleware('auth');
Route::post('/salvar_minipauta', 'App\Http\Controllers\minipautasController@store')->middleware('auth');
Route::get('/eliminar_minipauta/{id}', 'App\Http\Controllers\minipautasController@destroy')->middleware('auth');
Route::get('/editar_minipauta/{id}', 'App\Http\Controllers\minipautasController@edit')->middleware('auth');
Route::post('/actualizar_minipauta/{id}', 'App\Http\Controllers\minipautasController@update')->middleware('auth');

Route::get('/estudantes', 'App\Http\Controllers\estudantesController@index')->middleware('auth');
// Route::get('/estudantes', 'App\Http\Controllers\estudantesController@index')->middleware('auth');
// Route::get('/estudantes', 'App\Http\Controllers\estudantesController@index')->middleware('auth');
Route::get('/visualizar_estudante/{id}', 'App\Http\Controllers\estudantesController@show')->middleware('auth');
Route::get('/editar_estudante/{id}', 'App\Http\Controllers\estudantesController@edit')->middleware('auth');
Route::get('/confirmar_matricula/{id}', 'App\Http\Controllers\estudantesController@confirmar')->middleware('auth');
Route::get('/dados_estudantes/{turma}', 'App\Http\Controllers\estudantesController@dados')->middleware('auth');
Route::post('/actualizar_estudante/{id}', 'App\Http\Controllers\estudantesController@update')->middleware('auth');
Route::get('/registar_estudante', 'App\Http\Controllers\estudantesController@create')->middleware('auth');
Route::get('/pesquisar_estudante', 'App\Http\Controllers\estudantesController@pesquisarEstudante')->middleware('auth');
Route::post('/salvar_estudante', 'App\Http\Controllers\estudantesController@store')->middleware('auth');
Route::get('/eliminar_estudante/{id}', 'App\Http\Controllers\estudantesController@destroy')->middleware('auth');


Route::get('/funcionarios', 'App\Http\Controllers\funcionariosController@index')->middleware('auth');
Route::get('/registar_funcionario', 'App\Http\Controllers\funcionariosController@create')->middleware('auth');
Route::get('/visualizar_funcionario/{id}', 'App\Http\Controllers\funcionariosController@show')->middleware('auth');
Route::get('/editar_funcionario/{id}', 'App\Http\Controllers\funcionariosController@edit')->middleware('auth');
Route::get('/eliminar_funcionario/{id}', 'App\Http\Controllers\funcionariosController@destroy')->middleware('auth');
Route::post('/actualizar_funcionario/{id}', 'App\Http\Controllers\funcionariosController@update')->middleware('auth');
Route::post('/salvar_funcionario', 'App\Http\Controllers\funcionariosController@store')->middleware('auth');


Route::get('/professores', 'App\Http\Controllers\professoresController@index')->middleware('auth');
Route::get('/registar_professor', 'App\Http\Controllers\professoresController@create')->middleware('auth');
Route::get('/visualizar_professor/{id}', 'App\Http\Controllers\professoresController@show')->middleware('auth');
Route::get('/editar_professor/{id}', 'App\Http\Controllers\professoresController@edit')->middleware('auth');
Route::get('/eliminar_professor/{id}', 'App\Http\Controllers\professoresController@destroy')->middleware('auth');
Route::post('/actualizar_professor/{id}', 'App\Http\Controllers\professoresController@update')->middleware('auth');
Route::post('/salvar_professor', 'App\Http\Controllers\professoresController@store')->middleware('auth');

Route::get('/admin', 'App\Http\Controllers\adminController@index')->middleware('auth');
Route::get('/permissoes', 'App\Http\Controllers\adminController@permissoes')->middleware('auth');
Route::get('/login', 'App\Http\Controllers\adminController@login')->middleware('auth');
Route::get('/anuncios', 'App\Http\Controllers\anunciosController@index')->middleware('auth');



Route::get('/cadernetas', 'App\Http\Controllers\cadernetasController@index')->middleware('auth');
Route::get('/registar_caderneta', 'App\Http\Controllers\cadernetasController@create')->middleware('auth');
Route::get('/visualizar_caderneta/{id}', 'App\Http\Controllers\cadernetasController@show')->middleware('auth');
Route::get('/editar_caderneta/{id}', 'App\Http\Controllers\cadernetasController@edit')->middleware('auth');
Route::get('/eliminar_caderneta/{id}', 'App\Http\Controllers\cadernetasController@destroy')->middleware('auth');
Route::post('/actualizar_caderneta/{id}', 'App\Http\Controllers\cadernetasController@update')->middleware('auth');
Route::post('/salvar_caderneta', 'App\Http\Controllers\cadernetasController@store')->middleware('auth');

Route::get('/cadernetas_estudante', 'App\Http\Controllers\cadernetaEstudantesController@index')->middleware('auth');
Route::get('/registar_caderneta_estudante', 'App\Http\Controllers\cadernetaEstudantesController@create')->middleware('auth');
Route::get('/visualizar_caderneta_estudante/{id}', 'App\Http\Controllers\cadernetaEstudantesController@show')->middleware('auth');
Route::get('/editar_caderneta_estudante/{id}', 'App\Http\Controllers\cadernetaEstudantesController@edit')->middleware('auth');
Route::get('/eliminar_caderneta_estudante/{id}', 'App\Http\Controllers\cadernetaEstudantesController@destroy')->middleware('auth');
Route::post('/actualizar_caderneta_estudante/{id}', 'App\Http\Controllers\cadernetaEstudantesController@update')->middleware('auth');
Route::post('/salvar_caderneta_estudante', 'App\Http\Controllers\cadernetaEstudantesController@store')->middleware('auth');



Route::get('/cadernetas1F', 'App\Http\Controllers\cadernetas1Controller@cadernetaFinal')->middleware('auth');
Route::get('/cadernetas2', 'App\Http\Controllers\cadernetas2Controller@index')->middleware('auth');
Route::get('/cadernetas2F', 'App\Http\Controllers\cadernetas2Controller@cadernetaFinal')->middleware('auth');
Route::get('/cadernetas3', 'App\Http\Controllers\cadernetas3Controller@index')->middleware('auth');
Route::get('/cadernetas3F', 'App\Http\Controllers\cadernetas3Controller@cadernetaFinal')->middleware('auth');
Route::get('/cadernetas4', 'App\Http\Controllers\cadernetas4Controller@index')->middleware('auth');
Route::get('/cadernetas4F', 'App\Http\Controllers\cadernetas4Controller@cadernetaFinal')->middleware('auth');
Route::get('/cadernetas5', 'App\Http\Controllers\cadernetas5Controller@index')->middleware('auth');
Route::get('/cadernetas5F', 'App\Http\Controllers\cadernetas5Controller@cadernetaFinal')->middleware('auth');
Route::get('/cadernetas6', 'App\Http\Controllers\cadernetas6Controller@index')->middleware('auth');
Route::get('/cadernetas6F', 'App\Http\Controllers\cadernetas6Controller@cadernetaFinal')->middleware('auth');

Route::get('/certificadosL', 'App\Http\Controllers\certificadosLController@index')->middleware('auth');
Route::get('/certificados9', 'App\Http\Controllers\certificados9Controller@index')->middleware('auth');
Route::get('/certificado/{id}', 'App\Http\Controllers\certificados9Controller@show')->middleware('auth');
Route::get('/declaracoes', 'App\Http\Controllers\declaracoesController@index')->middleware('auth');
Route::get('/criar_mini_pautas', 'App\Http\Controllers\miniPautas7Controller@create')->middleware('auth');


Route::get('/publicacoes', 'App\Http\Controllers\publicacoesController@index')->middleware('auth');
Route::get('/criar_publicacao', 'App\Http\Controllers\publicacoesController@create')->middleware('auth');
Route::get('/visualizar_publicacao/{id}', 'App\Http\Controllers\publicacoesController@show')->middleware('auth');
Route::get('/editar_publicacao/{id}', 'App\Http\Controllers\publicacoesController@edit')->middleware('auth');
Route::get('/eliminar_publicacao/{id}', 'App\Http\Controllers\publicacoesController@destroy')->middleware('auth');
Route::post('/actualizar_publicacao/{id}', 'App\Http\Controllers\publicacoesController@update')->middleware('auth');
Route::post('/salvar_publicacao', 'App\Http\Controllers\publicacoesController@store')->middleware('auth');




Route::get('/organizacoes', 'App\Http\Controllers\organizacoesController@index')->middleware('auth');
Route::get('/registar_organizacao', 'App\Http\Controllers\organizacoesController@create')->middleware('auth');
Route::get('/visualizar_organizacao/{id}', 'App\Http\Controllers\organizacoesController@show')->middleware('auth');
Route::get('/editar_organizacao/{id}', 'App\Http\Controllers\organizacoesController@edit')->middleware('auth');
Route::get('/eliminar_organizacao/{id}', 'App\Http\Controllers\organizacoesController@destroy')->middleware('auth');
Route::post('/actualizar_organizacao/{id}', 'App\Http\Controllers\organizacoesController@update')->middleware('auth');
Route::post('/salvar_organizacao', 'App\Http\Controllers\organizacoesController@store')->middleware('auth');


Route::get('/projetos', 'App\Http\Controllers\projetosController@index')->middleware('auth');
Route::get('/registar_projeto', 'App\Http\Controllers\projetosController@create')->middleware('auth');
Route::post('/salvar_projeto', 'App\Http\Controllers\projetosController@store')->middleware('auth');
Route::get('/visualizar_projeto/{id}', 'App\Http\Controllers\projetosController@show')->middleware('auth');
Route::get('/editar_projeto/{id}', 'App\Http\Controllers\projetosController@edit')->middleware('auth');
Route::get('/eliminar_projeto/{id}', 'App\Http\Controllers\projetosController@destroy')->middleware('auth');
Route::post('/actualizar_projeto/{id}', 'App\Http\Controllers\projetosController@update')->middleware('auth');



Route::get('/series', 'App\Http\Controllers\seriesController@index')->middleware('auth');
Route::get('/registar_serie', 'App\Http\Controllers\seriesController@create')->middleware('auth');
Route::post('/salvar_serie', 'App\Http\Controllers\seriesController@store')->middleware('auth');
Route::get('/visualizar_serie/{id}', 'App\Http\Controllers\seriesController@show')->middleware('auth');
Route::get('/editar_serie/{id}', 'App\Http\Controllers\seriesController@edit')->middleware('auth');
Route::get('/eliminar_serie/{id}', 'App\Http\Controllers\seriesController@destroy')->middleware('auth');
Route::post('/actualizar_serie/{id}', 'App\Http\Controllers\seriesController@update')->middleware('auth');



Route::get('/modelos', 'App\Http\Controllers\modelosController@index')->middleware('auth');
Route::get('/registar_modelo', 'App\Http\Controllers\modelosController@create')->middleware('auth');
Route::post('/salvar_modelo', 'App\Http\Controllers\modelosController@store')->middleware('auth');
Route::get('/visualizar_modelo/{id}', 'App\Http\Controllers\modelosController@show')->middleware('auth');
Route::get('/editar_modelo/{id}', 'App\Http\Controllers\modelosController@edit')->middleware('auth');
Route::get('/eliminar_modelo/{id}', 'App\Http\Controllers\modelosController@destroy')->middleware('auth');
Route::post('/actualizar_modelo/{id}', 'App\Http\Controllers\modelosController@update')->middleware('auth');




Route::get('/fichas_saude', 'App\Http\Controllers\fichasSaudeController@index')->middleware('auth');
Route::get('/registar_ficha_saude', 'App\Http\Controllers\fichasSaudeController@create')->middleware('auth');
Route::get('/registar_ficha_saude/{id}', 'App\Http\Controllers\fichasSaudeController@createbyid')->middleware('auth');
Route::post('/salvar_ficha_saude', 'App\Http\Controllers\fichasSaudeController@store')->middleware('auth');
Route::get('/visualizar_ficha_saude/{id}', 'App\Http\Controllers\fichasSaudeController@show')->middleware('auth');
Route::get('/editar_ficha_saude/{id}', 'App\Http\Controllers\fichasSaudeController@edit')->middleware('auth');
Route::get('/eliminar_ficha_saude/{id}', 'App\Http\Controllers\fichasSaudeController@destroy')->middleware('auth');
Route::post('/actualizar_ficha_saude/{id}', 'App\Http\Controllers\fichasSaudeController@update')->middleware('auth');




Route::get('/modulos', 'App\Http\Controllers\modulosController@index')->middleware('auth');
Route::get('/registar_modulo', 'App\Http\Controllers\modulosController@create')->middleware('auth');
Route::post('/salvar_modulo', 'App\Http\Controllers\modulosController@store')->middleware('auth');
Route::get('/visualizar_modulo/{id}', 'App\Http\Controllers\modulosController@show')->middleware('auth');
Route::get('/editar_modulo/{id}', 'App\Http\Controllers\modulosController@edit')->middleware('auth');
Route::get('/eliminar_modulo/{id}', 'App\Http\Controllers\modulosController@destroy')->middleware('auth');
Route::post('/actualizar_modulo/{id}', 'App\Http\Controllers\modulosController@update')->middleware('auth');




Route::get('/termos', 'App\Http\Controllers\termosController@index')->middleware('auth');
Route::get('/registar_termo', 'App\Http\Controllers\termosController@create')->middleware('auth');
Route::post('/salvar_termo', 'App\Http\Controllers\termosController@store')->middleware('auth');
Route::get('/visualizar_termo/{id}', 'App\Http\Controllers\termosController@show')->middleware('auth');
Route::get('/editar_termo/{id}', 'App\Http\Controllers\termosController@edit')->middleware('auth');
Route::get('/eliminar_termo/{id}', 'App\Http\Controllers\termosController@destroy')->middleware('auth');
Route::post('/actualizar_termo/{id}', 'App\Http\Controllers\termosController@update')->middleware('auth');

Route::get('/liberar_notas','liberarController@notas')->middleware('auth');
Route::post('/liberar_notas','liberarController@liberarNotas')->middleware('auth');
Route::get('/liberar_certificados','liberarController@certificados')->middleware('auth');
Route::post('/liberar_certificados','liberarController@liberarCertificados')->middleware('auth');
Route::get('/liberar_matriculas','liberarController@matriculas')->middleware('auth');
Route::post('/liberar_matriculas','liberarController@liberarMatriculas')->middleware('auth');
Route::get('/liberar_pautas','liberarController@pautas')->middleware('auth');
Route::post('/liberar_pautas','liberarController@liberarPautas')->middleware('auth');



Route::get('/cidades','App\Http\Controllers\cidadeController@index')->middleware('auth');
Route::get('/painel','painelController@redireccionar')->middleware('auth');



// ---------------- MAPAS -----------------
Route::get('mapas', 'App\Http\Controllers\mapasController@index')->middleware('auth');
Route::get('visualizar_mapa/{id}', 'App\Http\Controllers\mapasController@show')->middleware('auth');



// ---------------- MAPAS FINAIS -----------------
Route::get('mapas_finais', 'App\Http\Controllers\mapaFinalController@index')->middleware('auth');
Route::get('visualizar_mapa_final/{id}', 'App\Http\Controllers\mapaFinalController@show')->middleware('auth');



// Importar Excel

Route::get('/import_excel', 'App\Http\Controllers\ImportExcelController@importForm')->middleware('auth');
Route::get('/import_excel_estudantes', 'App\Http\Controllers\ImportExcelController@importFormEstudantes')->middleware('auth');
Route::get('/import_excel_classes', 'App\Http\Controllers\ImportExcelController@importFormClasses')->middleware('auth');
Route::get('/import_excel_professores', 'App\Http\Controllers\ImportExcelController@importFormProfessores')->middleware('auth');
Route::get('/import_excel_matriculas', 'App\Http\Controllers\ImportExcelController@importFormMatriculas')->middleware('auth');
Route::get('/import_excel_funcionarios', 'App\Http\Controllers\ImportExcelController@importFormFuncionarios')->middleware('auth');
Route::post('/import_excel/import', 'App\Http\Controllers\ImportExcelController@import')->middleware('auth');
Route::post('/import_excel/importEstudantes', 'App\Http\Controllers\ImportExcelController@importEstudantes')->middleware('auth');
Route::post('/import_excel/importClasses', 'App\Http\Controllers\ImportExcelController@importClasses')->middleware('auth');
Route::post('/import_excel/importProfessores', 'App\Http\Controllers\ImportExcelController@importProfessores')->middleware('auth');
Route::post('/import_excel/importMatriculas', 'App\Http\Controllers\ImportExcelController@importMatriculas')->middleware('auth');
Route::post('/import_excel/import_funcionarios', 'App\Http\Controllers\ImportExcelController@importFuncionarios')->middleware('auth');

// Route::get('/import-form', ['ImportExcelController::class','importForm']);
// Route::post('/import_excel/import', 'App\Http\Controllers\ImportExcelController@import')->middleware('auth');

Route::get('exportar', 'App\Http\Controllers\usuariosController@export')->middleware('auth');

// PAGAMENTO DE PROPINAS
Route::get('/pagamentosPropinas', 'App\Http\Controllers\pagamentoPropinasController@index')->middleware('auth');
Route::get('/registar_pagamento', 'App\Http\Controllers\pagamentoPropinasController@create')->middleware('auth');
Route::get('/visualizar_pagamento', 'App\Http\Controllers\pagamentoPropinasController@show')->middleware('auth');
Route::post('/salvar_pagamento', 'App\Http\Controllers\pagamentoPropinasController@store')->middleware('auth');



// BOLETINS
Route::get('/boletins', 'App\Http\Controllers\boletinsController@index')->middleware('auth');
Route::get('/registar_boletim', 'App\Http\Controllers\boletinsController@create')->middleware('auth');
Route::get('/visualizar_boletim/{id}', 'App\Http\Controllers\boletinsController@show')->middleware('auth');
Route::post('/salvar_boletim', 'App\Http\Controllers\boletinsController@store')->middleware('auth');




// WSTATÍSTICAS
Route::get('/estatisticas', 'App\Http\Controllers\estatisticasController@index')->middleware('auth');
Route::get('/registar_estatitistica', 'App\Http\Controllers\estatisticasController@create')->middleware('auth');
Route::get('/visualizar_estatistica/{id}', 'App\Http\Controllers\estatisticasController@show')->middleware('auth');
Route::post('/salvar_estatistica', 'App\Http\Controllers\estatisticasController@store')->middleware('auth');



  // RELATÓRIOS
Route::get('/relatorios', 'App\Http\Controllers\relatoriosController@index')->middleware('auth');
Route::get('/registar_relatorio', 'App\Http\Controllers\relatoriosController@create')->middleware('auth');
Route::get('/visualizar_relatorio/{id}', 'App\Http\Controllers\relatoriosController@show')->middleware('auth');
Route::post('/salvar_relatorio', 'App\Http\Controllers\relatoriosController@store')->middleware('auth');


  // RELATÓRIOS
Route::get('/perfis', 'App\Http\Controllers\perfisController@index')->middleware('auth');
Route::get('/registar_perfil', 'App\Http\Controllers\perfisController@create')->middleware('auth');
Route::get('/visualizar_perfil/{id}', 'App\Http\Controllers\perfisController@show')->middleware('auth');
Route::post('/salvar_perfil', 'App\Http\Controllers\perfisController@store')->middleware('auth');


Route::get('/home', 'App\Http\Controllers\HomeController@index')->name('home')->middleware('auth');

    Route::get('/file-import',[UserController::class,
            'importView'])->name('import-view');
    Route::post('/import',[UserController::class,
            'import'])->name('import');
    Route::get('/export-users',[UserController::class,
            'exportUsers'])->name('export-users');


// Route::get('/', function () {
//     return view('welcome');
// });

require __DIR__.'/auth.php';
